//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;
//SAMPLERMASK-3
//SAMPLERTYPES-fffffff0
//FRAGDATAMASK-1
//HIGHWATER-8

uniform vec4 pc[8];

uniform sampler2D sampler0;
uniform sampler2D sampler1;



void main()
{
	// trans#0 label:ps-file cloak_blended_pass_ps20b ps-index 1 ps-combo 0
	vec4 pd2 = vec4( 2.0, -1.0, 0.111111111939, 1.0 );
	vec4 pd3 = vec4( 0.185100004077, 0.158000007272, -2.0, 3.0 );
	vec4 pd4 = vec4( -0.087600000203, 0.970300018787, -1.350000023842, -0.40000000596 );
	vec4 pd5 = vec4( 0.480199992657, 0.56510001421, 40.0, -0.75 );
	vec4 pd8 = vec4( -0.261599987745, -0.061700001359, 0.40000000596, 0.800000011921 );
	vec4 pd9 = vec4( -0.547699987888, -0.660300016403, 4.0, 0.0 );
	vec4 pd10 = vec4( 0.638400018215, 0.405400007963, 0.0, 0.0 );
	vec4 pd11 = vec4( -0.075099997222, -0.895399987698, 0.0, 0.0 );
	vec4 pd12 = vec4( -0.53250002861, 0.071099996567, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	vec4 r6;
	vec4 r7;
	vec4 r8;
	vec4 r9;
	r0 = texture2D( sampler1, oT6.xy );
	r0.xyz = pd2.xxx * r0.xyz + pd2.yyy;
	r1.xyz = r0.yyy * oT4.xyz;
	r1.xyz = oT3.xyz * r0.xxx + r1.xyz;
	r0.xyz = oT5.xyz * r0.zzz + r1.xyz;
	r1.x = dot( r0.xyz, pc[0].xyz );
	r0.w = 1.0 / oT1.z;
	r1.y = dot( r0.xyz, pc[1].xyz );
	r9.w = pc[6].x;
	r9.w = clamp( r9.w, 0.0, 1.0 );
	r0.xy = r0.ww * oT1.xy;
	r0.w = r9.w * -pc[6].y + pc[6].y;
	r7.xy = r1.xy * r0.ww + r0.xy;
	r0.x = pc[6].w;
	r8.xy = r0.xx * pd4.xy + r7.xy;
	r6.xy = r0.xx * pd5.xy + r7.xy;
	r5.xy = r0.xx * pd3.xy + r7.xy;
	r4.xy = r0.xx * pd8.xy + r7.xy;
	r3.xy = r0.xx * pd9.xy + r7.xy;
	r2.xy = r0.xx * pd12.xy + r7.xy;
	r1.xy = r0.xx * pd11.xy + r7.xy;
	r0.xy = r0.xx * pd10.xy + r7.xy;
	r8 = texture2D( sampler0, r8.xy );
	r7 = texture2D( sampler0, r7.xy );
	r6 = texture2D( sampler0, r6.xy );
	r5 = texture2D( sampler0, r5.xy );
	r4 = texture2D( sampler0, r4.xy );
	r3 = texture2D( sampler0, r3.xy );
	r2 = texture2D( sampler0, r2.xy );
	r1 = texture2D( sampler0, r1.xy );
	r0 = texture2D( sampler0, r0.xy );
	r9.xyz = normalize( -oT2.xyz );
	r9.x = dot( oT0.xyz, r9.xyz );
	r9.x = clamp( r9.x, 0.0, 1.0 );
	r0.w = -r9.x + pd2.w;
	r7.xyz = r8.xyz + r7.xyz;
	r1.w = -r9.x + pd4.z;
	r6.xyz = r6.xyz + r7.xyz;
	r3.w = r0.w * pd8.z + pd8.w;
	r5.xyz = r5.xyz + r6.xyz;
	r2.w = r9.w * r9.w;
	r4.xyz = r4.xyz + r5.xyz;
	r0.w = r2.w * ( pd2.w - r3.w ) + r3.w;
	r3.xyz = r3.xyz + r4.xyz;
	r2.w = r9.w + pd5.w;
	r2.xyz = r2.xyz + r3.xyz;
	r1.w = r9.w * r1.w + pd2.w;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r1.xyz = r1.xyz + r2.xyz;
	r2.w = r2.w * pd9.z;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.xyz = r0.xyz + r1.xyz;
	r1.w = r1.w + pd4.w;
	r0.xyz = r0.xyz * pd2.zzz;
	r1.w = r1.w * pd5.z;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.xyz = r0.www * r0.xyz;
	r0.w = r1.w * pd3.z + pd3.w;
	r1.x = pd2.w;
	r1.xyz = r1.xxx + -pc[7].xyz;
	r1.w = r1.w * r1.w;
	r1.xyz = r2.www * r1.xyz + pc[7].xyz;
	r0.w = r0.w * -r1.w + pd2.w;
	r0.xyz = r0.xyz * r1.xyz;
	r0.w = r0.w * pc[6].z;
	gl_FragData[0] = r0;
}


