//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;
varying vec4 oT7;
//SAMPLERMASK-71f
//SAMPLERTYPES-ffc6fc00
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler3D sampler8;
uniform samplerCube sampler9;
uniform sampler2D sampler10;



void main()
{
	vec4 atomic_temp_var;

	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	vec4 oTempT2 = oT2;
	vec4 oTempT3 = oT3;
	vec4 oTempT4 = oT4;
	vec4 oTempT5 = oT5;
	vec4 oTempT6 = oT6;
	vec4 oTempT7 = oT7;
	// trans#0 label:ps-file customhero_ps30 ps-index 320640 ps-combo 41
	vec4 pd5 = vec4( 2.0, -1.0, 0.5, 0.454499989748 );
	vec4 pd6 = vec4( 0.0, 0.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	r0.x = abs( pc[4].w );
	r0.y = pc[29].w * oTempT4.w;
	r1 = texture2D( sampler0, oTempT0.xy );
	r0.z = r1.w * pc[2].w;
	atomic_temp_var = gl_FragData[0];
	atomic_temp_var.w = ( -r0.x >= 0.0 ) ? r0.z : r0.y;
	gl_FragData[0] = atomic_temp_var;
	r0.x = log2( r1.x );
	r0.y = log2( r1.y );
	r0.z = log2( r1.z );
	r0.xyz = r0.xyz * pd5.www;
	r2.x = exp2( r0.x );
	r2.y = exp2( r0.y );
	r2.z = exp2( r0.z );
	r0 = texture3D( sampler8, r2.xyz );
	r2.xyz = pc[3].xxx * ( r0.xyz - r1.xyz ) + r1.xyz;
	r0 = texture2D( sampler2, oTempT0.zw );
	r0.xyz = r0.xyz * pc[3].www + r2.xyz;
	r2 = texture2D( sampler1, oTempT0.xy );
	r2.xyz = r2.xyz * pd5.xxx + pd5.yyy;
	r3.xyz = normalize( r2.xyz );
	r2.xyz = r3.yyy * oTempT6.xyz;
	r2.xyz = r3.xxx * oTempT5.xyz + r2.xyz;
	r2.xyz = r3.zzz * oTempT7.xyz + r2.xyz;
	r3.xyz = normalize( r2.xyz );
	r1.w = dot( r3.xyz, r3.xyz );
	r2.xyz = normalize( oTempT2.xyz );
	r4.xyz = r1.www * r2.xyz;
	r2.x = dot( r2.xyz, r3.xyz );
	r1.w = r2.x + r2.x;
	r2.x = r2.x;
	r2.x = clamp( r2.x, 0.0, 1.0 );
	r3.xyw = r1.www * r3.xyz + -r4.xyz;
	r1.w = max( r3.z, pd6.x );
	r3 = textureCube( sampler9, r3.xyw );
	r3.xyz = r3.xyz * pc[30].zzz;
	r3.xyz = r3.xyz * pc[1].zzz;
	r4 = texture2D( sampler4, oTempT0.xy );
	r5.xyz = max( r4.xyz, pc[27].xyz );
	r3.xyz = r3.xyz * r5.xxx;
	r4.xyz = r5.zzz * ( pc[0].xyz - r1.xyz ) + r1.xyz;
	r1.xyz = r5.yyy * oTempT3.xyz;
	r3.xyz = r3.xyz * r4.xyz;
	r2.y = pd5.z;
	r2 = texture2D( sampler10, r2.xy );
	r4 = texture2D( sampler3, oTempT0.xy );
	r2.yw = max( r4.zw, pc[26].zw );
	r3.w = max( r2.z, r2.y );
	r4.xyz = r3.xyz * r3.www;
	r4.xyz = oTempT1.xyz * r0.xyz + r4.xyz;
	r3.xyz = r3.xyz * r3.www + -r4.xyz;
	r3.xyz = r2.yyy * r3.xyz + r4.xyz;
	r0.w = r0.w * pc[3].w + r2.w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r1.xyz = r1.www * r1.xyz;
	r1.xyz = r1.xyz * r2.xxx + r3.xyz;
	r2.xyz = r0.www * ( r0.xyz - r1.xyz ) + r1.xyz;
	r0.xyz = r2.xyz * pc[30].xxx;
	r1.x = pc[30].x;
	r1.xyz = r2.xyz * -r1.xxx + pc[29].xyz;
	r0.w = oTempT3.w * oTempT3.w;
	gl_FragData[0].xyz = r0.www * r1.xyz + r0.xyz;
}


