//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-50-51-52-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000005 900f0001
attribute vec4 v2; // 80010005 900f0002
attribute vec4 v3; // 80020005 900f0003
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-1
//HIGHWATERBONE-0

uniform vec4 vc[1];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;

void main()
{
	// trans#0 label:vs-file eyeglint_vs20 vs-index 0 vs-combo 0
	vec4 vTempPos;
	vTempPos = v0.xyzx * vc[0].yyyx + vc[0].xxxy;
	oT0.xy = v1.xy;
	oT1.xy = v2.xy;
	oT2.xyz = v3.xyz;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


