//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-A0-50-51-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 8000000a 900f0001
attribute vec4 v2; // 80000005 900f0002
attribute vec4 v3; // 80010005 900f0003
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-52
//HIGHWATERBONE-3

uniform vec4 vc[52];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

centroid varying vec4 oT0;
centroid varying vec4 oT1;
centroid varying vec4 oT2;
centroid varying vec4 oT3;
centroid varying vec4 oT4;

void main()
{
	// trans#0 label:vs-file shadow_vs20 vs-index 4 vs-combo 1
	vec4 r0;
	vec4 r1;
	vec4 vTempPos;
	r0.w = vc[0].y;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	vTempPos.x = dot( r0.xyzw, vc[8].xyzw );
	vTempPos.y = dot( r0.xyzw, vc[9].xyzw );
	r1.x = dot( v2.xyzw, vc[48].xyzw );
	r1.y = dot( v2.xyzw, vc[49].xyzw );
	oT3.xy = r1.xy + vc[50].xy;
	oT3.zw = r1.yx + -vc[50].yx;
	oT4.xy = r1.xy + vc[51].xy;
	oT4.zw = r1.yx + -vc[51].yx;
	r1.w = dot( r0.xyzw, vc[11].xyzw );
	r1.z = dot( r0.xyzw, vc[10].xyzw );
	oT0.xyz = r0.xyz;
	vTempPos.zw = r1.zw;
	oT0.w = r1.z;
	gl_FogFragCoord = vc[0].x;
	oT1.xyz = v3.xyz;
	r1.z = v1.w;
	oT1.w = v2.z;
	oT2.xyz = r1.xyz;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


