//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
centroid varying vec4 oT0;
centroid varying vec4 oT1;
centroid varying vec4 oT2;
centroid varying vec4 oT3;
centroid varying vec4 oT4;
//SAMPLERMASK-1
//SAMPLERTYPES-fffffffc
//FRAGDATAMASK-1
//HIGHWATER-5

uniform vec4 pc[5];

uniform sampler2D sampler0;



void main()
{
	// trans#0 label:ps-file shadow_ps20b ps-index 0 ps-combo 0
	vec4 pd0 = vec4( 0.20000000298, 1.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r1.xy = oT3.wz;
	r0.xy = oT4.wz;
	r4 = texture2D( sampler0, r1.xy );
	r1 = texture2D( sampler0, r0.xy );
	r3 = texture2D( sampler0, oT3.xy );
	r2 = texture2D( sampler0, oT4.xy );
	r0 = texture2D( sampler0, oT2.xy );
	r1.y = r4.w;
	r1.x = r3.w;
	r1.z = r2.w;
	r1.w = dot( r1.xyzw, pd0.xxxx );
	r0.w = r0.w * pd0.x + r1.w;
	r1.w = oT1.w * oT1.y + oT1.x;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r1.w = r1.w * pc[4].x + oT1.z;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.xyz = -oT0.xyz + pc[2].xyz;
	r1.w = r0.w + -r1.w;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.x = dot( r0.xyz, r0.xyz );
	r0.w = inversesqrt( r0.x );
	r0.w = 1.0 / r0.w;
	r2.w = r0.w * pc[3].w + pc[3].x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.w = min( r2.w, pc[3].z );
	r0.xyz = r1.www * pc[1].xyz + -r1.www;
	r0.w = -r0.w + pd0.y;
	r0.xyz = r0.xyz + pd0.yyy;
	r0.w = r0.w * r0.w;
	r0.xyz = -r0.xyz + pd0.yyy;
	r0.w = r0.w * r0.w;
	r0.xyz = r0.xyz * -r0.www + pd0.yyy;
	r0.w = pd0.y;
	gl_FragData[0] = r0;
}


