//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
//SAMPLERMASK-13
//SAMPLERTYPES-fffffcf0
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler4;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file projected_ps20b ps-index 72 ps-combo 1
	vec4 pd0 = vec4( 0.159154936671, 0.5, 6.283185482025, -3.141592741013 );
	vec4 pd1 = vec4( -0.5, 0.0, 1.0, -1.0 );
	vec4 pd2 = vec4( -2.0, 0.0, 0.0, 0.0 );
	vec4 pd3 = vec4( -0.000001550099, -0.000021701389, 0.002604166744, 0.00026041668 );
	vec4 pd4 = vec4( -0.020833333954, -0.125, 1.0, 0.5 );
	vec4 scA = vec4( -1.55009923e-6, -2.17013894e-5, 0.00260416674, 0.00026041668 );
	vec4 scB = vec4( -0.020833334, -0.125, 1.0, 0.5 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
vec3 vSinCosTmp;
	r0 = texture2D( sampler0, oT0.xy );
	r1.w = 1.0 / pc[18].x;
	r0.xy = oT1.xy * r0.xx + pc[21].xy;
	r0.z = pc[18].y;
	r0.w = r0.z * pd0.x + pd0.y;
	r0.xy = r0.xy + -pc[17].xy;
	r0.w = fract( r0.w );
	r2.xy = r1.ww * r0.xy;
	r1.w = r0.w * pd0.z + pd0.w;
	vSinCosTmp.z = r1.w * r1.w;
	vSinCosTmp.xy = vSinCosTmp.zz * scA.xy + scA.wz;
	vSinCosTmp.xy = vSinCosTmp.xy * vSinCosTmp.zz + scB.xy;
	vSinCosTmp.xy = vSinCosTmp.xy * vSinCosTmp.zz + scB.wz;
	vSinCosTmp.x = vSinCosTmp.x * r1.w;
	vSinCosTmp.xy = vSinCosTmp.xy * vSinCosTmp.xx;
	vSinCosTmp.xy = vSinCosTmp.xy + vSinCosTmp.xy;
	vSinCosTmp.x = -vSinCosTmp.x + scB.z;
	r0.xy = vSinCosTmp.xy;
	r0.w = r2.y * -r0.y;
	r1.x = r2.x * r0.x + r0.w;
	r0.w = r2.y * r0.x;
	r1.y = r2.x * r0.y + r0.w;
	r0.x = r1.x * pc[19].x + pc[19].z;
	r0.y = r1.y * pc[19].y + pc[19].w;
	r0.w = r0.x + -pc[16].x;
	atomic_temp_var = r0;
	atomic_temp_var.w = ( r0.w >= 0.0 ) ? pd1.y : pd1.z;
	r0 = atomic_temp_var;
	r1.w = -r0.x + pc[16].z;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd1.y : pd1.z;
	r1 = atomic_temp_var;
	r0.w = r0.w + r1.w;
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? pd1.y : pd1.z;
	r0 = atomic_temp_var;
	r1.w = r0.y + -pc[16].y;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd1.y : pd1.z;
	r1 = atomic_temp_var;
	r0.w = r0.w + r1.w;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? pd1.y : pd1.z;
	r1 = atomic_temp_var;
	r2.w = -r0.y + pc[16].w;
	r0 = texture2D( sampler4, r0.xy );
	atomic_temp_var = r2;
	atomic_temp_var.w = ( r2.w >= 0.0 ) ? pd1.y : pd1.z;
	r2 = atomic_temp_var;
	r1.w = r1.w + r2.w;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r1.w >= 0.0 ) ? pd1.y : pd1.z;
	r1 = atomic_temp_var;
	r2 = -r1.wwww;
	r1.w = r0.w + -pc[15].x;
	r3.w = abs( r1.w );
	r4.w = 1.0 / pc[15].y;
	r1 = r3.wwww * -r4.wwww + pd1.zzzz;
	if ( r2.x < 0.0 || r2.y < 0.0 || r2.z < 0.0 )
{
	discard;
}
	if ( r1.x < 0.0 || r1.y < 0.0 || r1.z < 0.0 )
{
	discard;
}
	r1 = texture2D( sampler1, oT0.xy );
	r1.w = r3.w * r4.w;
	r1.y = pc[15].z;
	r2.w = r1.y + pd1.w;
	r2.w = r1.w * r2.w + pd1.z;
	r1.w = r1.z + pd1.x;
	r3.w = pd2.x;
	r1.w = r1.w * -r3.w + -pc[14].y;
	r1.x = r0.w * r2.w;
	r0.w = -pc[14].y + pc[14].x;
	r0.w = 1.0 / r0.w;
	r1.x = r1.x * pc[28].w;
	r0.w = r1.w * r0.w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r0.w = r1.x * r0.w;
	r1.xyz = pc[28].xyz;
	r0.xyz = r0.xyz * r1.xyz + -pc[14].zzz;
	r0.xyz = r0.www * r0.xyz + pc[14].zzz;
	r0.xyz = r0.xyz * pc[30].xxx;
	gl_FragData[0] = r0;
}


