//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000005 900f0001
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-54
//HIGHWATERBONE-3

uniform vec4 vc[54];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT7;

void main()
{
	// trans#0 label:vs-file unlitgeneric_vs20 vs-index 32 vs-combo 0
	vec4 r0;
	vec4 r1;
	vec4 vTempPos;
	r0.w = vc[0].y;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	vTempPos.x = dot( r0.xyzw, vc[8].xyzw );
	vTempPos.y = dot( r0.xyzw, vc[9].xyzw );
	r1.xyz = -r0.xyz + vc[2].xyz;
	vTempPos.z = dot( r0.xyzw, vc[10].xyzw );
	r1.x = dot( r1.xyz, r1.xyz );
	vTempPos.w = dot( r0.xyzw, vc[11].xyzw );
	r1.w = inversesqrt( r1.x );
	oT7.w = dot( r0.xyzw, vc[13].xyzw );
	r0.w = 1.0 / r1.w;
	oT7.xyz = r0.xyz;
	r0.w = -r0.w * vc[16].w + vc[16].x;
	gl_FogFragCoord = max( r0.w, vc[16].z );
	r0.xy = v1.yy * vc[49].xy;
	oT0.xy = v1.xx * vc[48].xy + r0.xy;
	r0.xy = v1.yy * vc[53].xy;
	oT3.xy = v1.xx * vc[52].xy + r0.xy;
	gl_FrontColor = vc[47];
	oT1 = vc[0].xxxx;
	oT2.x = vc[0].x;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


