//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
//SAMPLERMASK-f
//SAMPLERTYPES-ffffff00
//FRAGDATAMASK-1
//HIGHWATER-24

uniform vec4 pc[24];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;



void main()
{
	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	// trans#0 label:ps-file deferred_global_light_ps30 ps-index 0 ps-combo 11
	vec4 pd0 = vec4( -0.5, 0.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	r0 = texture2D( sampler0, oTempT0.xy );
	r0.xyz = oTempT1.xyz * r0.xxx + pc[17].xyz;
	r0.xyz = -r0.xyz + pc[17].xyz;
	r1.xyz = normalize( r0.xyz );
	r0 = texture2D( sampler1, oTempT0.xy );
	r0.xyz = r0.xyz + pd0.xxx;
	r0.xyz = r0.xyz + r0.xyz;
	r0.w = dot( r1.xyz, r0.xyz );
	r0.w = r0.w + r0.w;
	r0.xyz = r0.xyz * -r0.www + r1.xyz;
	r0.x = dot( pc[18].xyz, r0.xyz );
	r0.x = clamp( r0.x, 0.0, 1.0 );
	r1.x = pow( r0.x, pc[18].w );
	r0 = texture2D( sampler3, oTempT0.xy );
	r0.x = r1.x * r0.x;
	r1 = texture2D( sampler2, oTempT0.xy );
	r1.xyz = pc[23].xyz * r0.xxx + r1.xyz;
	r0.x = r0.x;
	r0.x = clamp( r0.x, 0.0, 1.0 );
	gl_FragData[0].xyz = r0.yyy * r1.xyz;
	gl_FragData[0].w = r0.z * r0.x;
}


