//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
//SAMPLERMASK-1c
//SAMPLERTYPES-fffffc0f
//FRAGDATAMASK-1
//HIGHWATER-24

uniform vec4 pc[24];

uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;



void main()
{
	vec4 atomic_temp_var;

	vec4 oTempT0 = oT0;
	// trans#0 label:ps-file deferred_specular_bloom_ps30 ps-index 0 ps-combo 14
	vec4 pd0 = vec4( 0.0, -1.0, 0.75, 1.0 );
	vec4 pd1 = vec4( 0.0, -2.0, 1.0, 0.5 );
	vec4 pd2 = vec4( 0.125, 0.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	r0.xyz = pd1.xyz;
	r1.xy = pc[13].xy * r0.xy + oTempT0.xy;
	r2 = texture2D( sampler4, r1.xy );
	r0.w = r2.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r2 = texture2D( sampler3, r1.xy );
	atomic_temp_var = r2;
	atomic_temp_var.x = ( -r2.y >= 0.0 ) ? pd1.x : pd1.z;
	r2 = atomic_temp_var;
	r3.xyz = r0.www * pc[23].xyz;
	if ( r2.x != -r2.x )
	{
		r0.w = r2.z * r2.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r1.zw = pd1.xx;
		r1 = texture2DLod( sampler2, r1.xy, r1.w );
		r3.xyz = r0.www * r1.xyz + r3.xyz;
	}
	gl_FragData[0].w = pd1.z;
	r1.xy = -pc[13].xy + oTempT0.xy;
	r2 = texture2D( sampler4, r1.xy );
	r0.w = r2.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r2 = texture2D( sampler3, r1.xy );
	atomic_temp_var = r2;
	atomic_temp_var.x = ( -r2.y >= 0.0 ) ? pd1.x : pd1.z;
	r2 = atomic_temp_var;
	r4.xyz = r0.www * pc[23].xyz;
	if ( r2.x != -r2.x )
	{
		r0.w = r2.z * r2.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r1.zw = pd1.xx;
		r1 = texture2DLod( sampler2, r1.xy, r1.w );
		r4.xyz = r0.www * r1.xyz + r4.xyz;
	}
	r1.xyz = r4.xyz * pd1.www;
	r1.xyz = r3.xyz * pd1.www + r1.xyz;
	r2.xy = pc[13].xy;
	r3.xy = r2.xy * pd0.xy + oTempT0.xy;
	r4 = texture2D( sampler4, r3.xy );
	r0.w = r4.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4 = texture2D( sampler3, r3.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r4.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r5.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r4.z * r4.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3.zw = pd1.xx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r5.xyz = r0.www * r3.xyz + r5.xyz;
	}
	r1.xyz = r5.xyz * pd0.zzz + r1.xyz;
	r3.xy = r2.xy * pd0.wy + oTempT0.xy;
	r4 = texture2D( sampler4, r3.xy );
	r0.w = r4.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4 = texture2D( sampler3, r3.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r4.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r5.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r4.z * r4.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3.zw = pd1.xx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r5.xyz = r0.www * r3.xyz + r5.xyz;
	}
	r1.xyz = r5.xyz * pd1.www + r1.xyz;
	r3.xy = pc[13].xy * r0.yx + oTempT0.xy;
	r4 = texture2D( sampler4, r3.xy );
	r0.w = r4.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4 = texture2D( sampler3, r3.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r4.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r5.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r4.z * r4.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3.zw = pd1.xx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r5.xyz = r0.www * r3.xyz + r5.xyz;
	}
	r1.xyz = r5.xyz * pd1.www + r1.xyz;
	r3.xy = r2.xy * pd0.yx + oTempT0.xy;
	r4 = texture2D( sampler4, r3.xy );
	r0.w = r4.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4 = texture2D( sampler3, r3.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r4.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r5.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r4.z * r4.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3.zw = pd1.xx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r5.xyz = r0.www * r3.xyz + r5.xyz;
	}
	r1.xyz = r5.xyz * pd0.zzz + r1.xyz;
	r3 = texture2D( sampler4, oTempT0.xy );
	r0.w = r3.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r3 = texture2D( sampler3, oTempT0.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r3.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r4.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r3.z * r3.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3 = pd1.zzxx * oTempT0.xyxx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r4.xyz = r0.www * r3.xyz + r4.xyz;
	}
	r1.xyz = r1.xyz + r4.xyz;
	r3.xy = pc[13].xy * r0.zx + oTempT0.xy;
	r4 = texture2D( sampler4, r3.xy );
	r0.w = r4.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4 = texture2D( sampler3, r3.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r4.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r5.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r4.z * r4.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3.zw = pd1.xx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r5.xyz = r0.www * r3.xyz + r5.xyz;
	}
	r1.xyz = r5.xyz * pd0.zzz + r1.xyz;
	r3.xy = pc[13].xy * abs(r0.yx) + oTempT0.xy;
	r4 = texture2D( sampler4, r3.xy );
	r0.w = r4.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4 = texture2D( sampler3, r3.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r4.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r5.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r4.z * r4.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r3.zw = pd1.xx;
		r3 = texture2DLod( sampler2, r3.xy, r3.w );
		r5.xyz = r0.www * r3.xyz + r5.xyz;
	}
	r1.xyz = r5.xyz * pd1.www + r1.xyz;
	r2.xy = r2.xy * pd0.yw + oTempT0.xy;
	r3 = texture2D( sampler4, r2.xy );
	r0.w = r3.w * pc[23].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r3 = texture2D( sampler3, r2.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -r3.y >= 0.0 ) ? pd1.x : pd1.z;
	r1 = atomic_temp_var;
	r4.xyz = r0.www * pc[23].xyz;
	if ( r1.w != -r1.w )
	{
		r0.w = r3.z * r3.y;
		r0.w = clamp( r0.w, 0.0, 1.0 );
		r2.zw = pd1.xx;
		r2 = texture2DLod( sampler2, r2.xy, r2.w );
		r4.xyz = r0.www * r2.xyz + r4.xyz;
	}
	r1.xyz = r4.xyz * pd1.www + r1.xyz;
	r2.xy = pc[13].xy * r0.xz + oTempT0.xy;
	r3 = texture2D( sampler4, r2.xy );
	r0.z = r3.w * pc[23].w;
	r0.z = clamp( r0.z, 0.0, 1.0 );
	r3 = texture2D( sampler3, r2.xy );
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -r3.y >= 0.0 ) ? pd1.x : pd1.z;
	r0 = atomic_temp_var;
	r4.xyz = r0.zzz * pc[23].xyz;
	if ( r0.w != -r0.w )
	{
		r0.z = r3.z * r3.y;
		r0.z = clamp( r0.z, 0.0, 1.0 );
		r2.zw = pd1.xx;
		r2 = texture2DLod( sampler2, r2.xy, r2.w );
		r4.xyz = r0.zzz * r2.xyz + r4.xyz;
	}
	r1.xyz = r4.xyz * pd0.zzz + r1.xyz;
	r2.xy = pc[13].xy + oTempT0.xy;
	r3 = texture2D( sampler4, r2.xy );
	r0.z = r3.w * pc[23].w;
	r0.z = clamp( r0.z, 0.0, 1.0 );
	r3 = texture2D( sampler3, r2.xy );
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -r3.y >= 0.0 ) ? pd1.x : pd1.z;
	r0 = atomic_temp_var;
	r4.xyz = r0.zzz * pc[23].xyz;
	if ( r0.w != -r0.w )
	{
		r0.z = r3.z * r3.y;
		r0.z = clamp( r0.z, 0.0, 1.0 );
		r2.zw = pd1.xx;
		r2 = texture2DLod( sampler2, r2.xy, r2.w );
		r4.xyz = r0.zzz * r2.xyz + r4.xyz;
	}
	r1.xyz = r4.xyz * pd1.www + r1.xyz;
	r0.xy = pc[13].xy * abs(r0.xy) + oTempT0.xy;
	r2 = texture2D( sampler4, r0.xy );
	r1.w = r2.w * pc[23].w;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r2 = texture2D( sampler3, r0.xy );
	atomic_temp_var = r2;
	atomic_temp_var.x = ( -r2.y >= 0.0 ) ? pd1.x : pd1.z;
	r2 = atomic_temp_var;
	r3.xyz = r1.www * pc[23].xyz;
	if ( r2.x != -r2.x )
	{
		r1.w = r2.z * r2.y;
		r1.w = clamp( r1.w, 0.0, 1.0 );
		r0.zw = pd1.xx;
		r0 = texture2DLod( sampler2, r0.xy, r0.w );
		r3.xyz = r1.www * r0.xyz + r3.xyz;
	}
	r0.xyz = r3.xyz * pd1.www + r1.xyz;
	gl_FragData[0].xyz = r0.xyz * pd2.xxx;
}


