//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
//SAMPLERMASK-10
//SAMPLERTYPES-fffffcff
//FRAGDATAMASK-1
//HIGHWATER-16

uniform vec4 pc[16];

uniform sampler2D sampler4;



void main()
{
	vec4 atomic_temp_var;

	vec4 oTempT0 = oT0;
	// trans#0 label:ps-file deferred_color_correction_ps30 ps-index 0 ps-combo 0
	vec4 pd0 = vec4( 0.5, 1.0, 0.0, -0.5 );
	vec4 pd1 = vec4( 2.0, 4.0, 60.0, 360.0 );
	vec4 pd2 = vec4( 0.002777777845, -0.5, 1.0, 1.33333337307 );
	vec4 pd3 = vec4( 6.0, -1.0, 2.0, -3.0 );
	vec4 pd4 = vec4( 0.666666686535, 0.66666662693, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	r0 = texture2D( sampler4, oTempT0.xy );
	r1.x = -r0.z + r0.y;
	atomic_temp_var = r1;
	atomic_temp_var.y = ( r1.x >= 0.0 ) ? r0.y : r0.z;
	atomic_temp_var.z = ( r1.x >= 0.0 ) ? r0.z : r0.y;
	r1 = atomic_temp_var;
	r2.x = max( r0.x, r1.y );
	r2.y = min( r1.z, r0.x );
	r1.y = r2.x + r2.y;
	r1.z = r2.x + -r2.y;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -abs(r1.z) >= 0.0 ) ? pd0.y : pd0.z;
	r1 = atomic_temp_var;
	if ( r1.w != -r1.w )
	{
		r3.xy = pd0.zz;
	}
	else
	{
		r2.zw = -r0.xy + r0.zx;
		r0.z = 1.0 / r1.z;
		r2.zw = r2.zw * r0.zz + pd1.xy;
		r0.xy = r0.xy + -r2.xx;
		atomic_temp_var = r0;
		atomic_temp_var.y = ( -abs(r0.y) >= 0.0 ) ? r2.z : r2.w;
		r0 = atomic_temp_var;
		r0.z = r1.x * r0.z;
		atomic_temp_var = r0;
		atomic_temp_var.x = ( -abs(r0.x) >= 0.0 ) ? r0.z : r0.y;
		r0 = atomic_temp_var;
		r0.y = 1.0 / r1.y;
		r0.y = r1.z * r0.y;
		r0.z = -r2.x + -r2.y;
		r0.z = r0.z + pd1.x;
		r0.z = 1.0 / r0.z;
		r0.z = r1.z * r0.z;
		r1.x = r1.y * pd0.x + pd0.w;
		atomic_temp_var = r3;
		atomic_temp_var.y = ( r1.x >= 0.0 ) ? r0.z : r0.y;
		r3 = atomic_temp_var;
		r0.y = r0.x * pd1.z + pd1.w;
		r0.x = r0.x * pd1.z;
		atomic_temp_var = r0;
		atomic_temp_var.x = ( r0.x >= 0.0 ) ? r0.x : r0.y;
		r0 = atomic_temp_var;
		r3.x = r0.x * pd2.x;
	}
	gl_FragData[0].w = r0.w;
	r3.z = r1.y * pd0.x;
	r0.xyz = r3.xyz + pc[14].xyz;
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -abs(r0.y) >= 0.0 ) ? pd0.y : pd0.z;
	r0 = atomic_temp_var;
	if ( r0.w != -r0.w )
	{
		r1.xyz = r0.zzz;
	}
	else
	{
		r0.w = r0.y + r0.z;
		r0.w = r0.y * -r0.z + r0.w;
		r2 = r0.zyxx + pd2.yzwz;
		r0.y = r0.z * r2.y;
		atomic_temp_var = r0;
		atomic_temp_var.y = ( r2.x >= 0.0 ) ? r0.w : r0.y;
		r0 = atomic_temp_var;
		r0.z = r0.z * pd1.x + -r0.y;
		r2.xy = fract( abs(r2.zw) );
		atomic_temp_var = r2;
		atomic_temp_var.x = ( r2.z >= 0.0 ) ? r2.x : -r2.x;
		atomic_temp_var.y = ( r2.w >= 0.0 ) ? r2.y : -r2.y;
		r2 = atomic_temp_var;
		r2.zw = r2.xy * pd3.xx + pd3.yy;
		atomic_temp_var = r2;
		atomic_temp_var.z = ( r2.z >= 0.0 ) ? pd0.z : pd0.y;
		atomic_temp_var.w = ( r2.w >= 0.0 ) ? pd0.z : pd0.y;
		r2 = atomic_temp_var;
		if ( r2.z != -r2.z )
		{
			r0.w = r0.y + -r0.z;
			r0.w = r2.x * r0.w;
			r1.x = r0.w * pd3.x + r0.z;
		}
		else
		{
			r0.w = -r2.x + pd4.x;
			r1.w = r0.y + -r0.z;
			r0.w = r0.w * r1.w;
			r0.w = r0.w * pd3.x + r0.z;
			r1.w = r2.x * -pd3.w + -pd3.z;
			atomic_temp_var = r0;
			atomic_temp_var.w = ( r1.w >= 0.0 ) ? r0.z : r0.w;
			r0 = atomic_temp_var;
			r1.w = r2.x * pd3.z + pd3.y;
			atomic_temp_var = r1;
			atomic_temp_var.x = ( r1.w >= 0.0 ) ? r0.w : r0.y;
			r1 = atomic_temp_var;
		}
		if ( r2.w != -r2.w )
		{
			r0.w = r0.y + -r0.z;
			r0.w = r2.y * r0.w;
			r1.y = r0.w * pd3.x + r0.z;
		}
		else
		{
			r0.w = -r2.y + pd4.x;
			r1.w = r0.y + -r0.z;
			r0.w = r0.w * r1.w;
			r0.w = r0.w * pd3.x + r0.z;
			r1.w = r2.y * -pd3.w + -pd3.z;
			atomic_temp_var = r0;
			atomic_temp_var.w = ( r1.w >= 0.0 ) ? r0.z : r0.w;
			r0 = atomic_temp_var;
			r1.w = r2.y * pd3.z + pd3.y;
			atomic_temp_var = r1;
			atomic_temp_var.y = ( r1.w >= 0.0 ) ? r0.w : r0.y;
			r1 = atomic_temp_var;
		}
		r0.x = r0.x + pd4.y;
		r0.w = fract( abs(r0.x) );
		atomic_temp_var = r0;
		atomic_temp_var.x = ( r0.x >= 0.0 ) ? r0.w : -r0.w;
		r0 = atomic_temp_var;
		r0.w = r0.x * pd3.x + pd3.y;
		atomic_temp_var = r0;
		atomic_temp_var.w = ( r0.w >= 0.0 ) ? pd0.z : pd0.y;
		r0 = atomic_temp_var;
		if ( r0.w != -r0.w )
		{
			r0.w = r0.y + -r0.z;
			r0.w = r0.x * r0.w;
			r1.z = r0.w * pd3.x + r0.z;
		}
		else
		{
			r0.w = -r0.x + pd4.x;
			r1.w = r0.y + -r0.z;
			r0.w = r0.w * r1.w;
			r0.w = r0.w * pd3.x + r0.z;
			r1.w = r0.x * -pd3.w + -pd3.z;
			atomic_temp_var = r0;
			atomic_temp_var.z = ( r1.w >= 0.0 ) ? r0.z : r0.w;
			r0 = atomic_temp_var;
			r0.x = r0.x * pd3.z + pd3.y;
			atomic_temp_var = r1;
			atomic_temp_var.z = ( r0.x >= 0.0 ) ? r0.z : r0.y;
			r1 = atomic_temp_var;
		}
	}
	r0.xyz = r1.xyz + pd0.www;
	r1.x = pd0.x;
	gl_FragData[0].xyz = r0.xyz * pc[15].xxx + r1.xxx;
}


