//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
//SAMPLERMASK-419
//SAMPLERTYPES-ffcffc3c
//FRAGDATAMASK-1
//HIGHWATER-30

uniform vec4 pc[30];

uniform sampler2D sampler0;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler2D sampler10;



void main()
{
	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	// trans#0 label:ps-file deferred_post_process_ps30 ps-index 96 ps-combo 37
	vec4 pd0 = vec4( -0.0009765625, 0.0009765625, 0.25, 1.0 );
	vec4 pd1 = vec4( 0.300000011921, 0.589999973774, 0.109999999404, 0.5 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	r0 = texture2D( sampler0, oTempT0.xy );
	r0.xyz = oTempT1.xyz * r0.xxx + pc[15].xyz;
	r1.xy = r0.xy + -pc[18].xy;
	r0.xyz = -r0.xyz + pc[15].xyz;
	r1.z = 1.0 / pc[18].z;
	r1.w = 1.0 / pc[18].w;
	r2.xy = r1.xy * r1.zw + pd0.xx;
	r2 = texture2D( sampler10, r2.xy );
	r2.yz = r1.xy * r1.zw + pd0.yx;
	r3 = texture2D( sampler10, r2.yz );
	r0.w = r2.x + r3.x;
	r2.xy = r1.xy * r1.zw + pd0.yy;
	r1.xy = r1.xy * r1.zw + pd0.xy;
	r2 = texture2D( sampler10, r2.xy );
	r0.w = r0.w + r2.x;
	r1 = texture2D( sampler10, r1.xy );
	r0.w = r0.w + r1.x;
	r0.w = r0.w * -pd0.z + pd0.w;
	r1 = texture2D( sampler3, oTempT0.xy );
	r2 = texture2D( sampler4, oTempT0.xy );
	r1.xyz = r1.xyz + r2.xyz;
	gl_FragData[0].w = r2.w;
	r1.w = dot( r1.xyz, pd1.xyz );
	r2.x = pow( r1.w, pc[22].w );
	r1.w = max( r2.x, pd1.w );
	r2.xyz = r1.www * pc[19].xyz;
	r3.xyz = r1.xyz * pc[22].zzz;
	r2.xyz = r2.xyz * pc[22].yyy + r3.xyz;
	r3.xyz = r0.www * ( r2.xyz - r1.xyz ) + r1.xyz;
	r1.xyz = -r3.xyz + pc[29].xyz;
	r0.x = dot( r0.xyz, r0.xyz );
	r0.x = inversesqrt( r0.x );
	r0.x = 1.0 / r0.x;
	r0.x = r0.x * pc[14].w + pc[14].x;
	r0.x = clamp( r0.x, 0.0, 1.0 );
	r1.w = min( r0.x, pc[14].z );
	r0.x = r1.w * r1.w;
	gl_FragData[0].xyz = r0.xxx * r1.xyz + r3.xyz;
}


