//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-50-A0-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000005 900f0001
attribute vec4 v2; // 8000000a 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-12
//HIGHWATERBONE-3

uniform vec4 vc[12];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;

void main()
{
	// trans#0 label:vs-file ui_vs30 vs-index 16 vs-combo 4
	vec4 r0;
	vec4 vTempPos;
	vec4 oTempT0 = vec4( 0, 0, 0, 0 );
	vec4 oTempT1 = vec4( 0, 0, 0, 0 );
	vec4 oTempT2 = vec4( 0, 0, 0, 0 );
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	r0.w = vc[0].y;
	vTempPos.x = dot( r0.xyzw, vc[8].xyzw );
	vTempPos.y = dot( r0.xyzw, vc[9].xyzw );
	vTempPos.z = dot( r0.xyzw, vc[10].xyzw );
	vTempPos.w = dot( r0.xyzw, vc[11].xyzw );
	oTempT1.xy = v1.xy;
	oTempT2 = v2;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
	oT0 = oTempT1;
	gl_FrontColor = oTempT2;
}


