//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 80000005 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-56
//HIGHWATERBONE-3

uniform vec4 vc[56];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
centroid varying vec4 oT2;
centroid varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;

void main()
{
	// trans#0 label:vs-file lightmappedgeneric_flashlight_vs20 vs-index 32 vs-combo 1
	vec4 r0;
	vec4 r1;
	vec4 vTempPos;
	oT3.x = dot( v1.xyz, vcbones[0].xyz );
	oT3.y = dot( v1.xyz, vcbones[1].xyz );
	oT3.z = dot( v1.xyz, vcbones[2].xyz );
	r0.xy = v2.xy * vc[54].xy;
	r0.w = r0.y + r0.x;
	r0.xy = v2.xy * vc[55].xy;
	oT1.x = r0.w + vc[54].w;
	r0.w = r0.y + r0.x;
	oT1.y = r0.w + vc[55].w;
	r1 = v0.xyzx * vc[0].yyyx + vc[0].xxxy;
	r0.w = vc[0].y;
	r0.x = dot( r1.xyzw, vcbones[0].xyzw );
	r0.y = dot( r1.xyzw, vcbones[1].xyzw );
	r0.z = dot( r1.xyzw, vcbones[2].xyzw );
	oT0.x = dot( r0.xyzw, vc[49].xyzw );
	oT0.y = dot( r0.xyzw, vc[50].xyzw );
	oT0.z = dot( r0.xyzw, vc[51].xyzw );
	oT0.w = dot( r0.xyzw, vc[52].xyzw );
	oT5 = r0;
	oT2.xyz = -r0.xyz + vc[48].xyz;
	r0.z = dot( r1.xyzw, vc[6].xyzw );
	r0.x = dot( r1.xyzw, vc[4].xyzw );
	r0.y = dot( r1.xyzw, vc[5].xyzw );
	r0.w = dot( r1.xyzw, vc[7].xyzw );
	vTempPos = r0;
	oT6.xyz = r0.xyw;
	oT4.xy = vc[0].xx;
	gl_FrontSecondaryColor = vc[0].xxxx;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


