//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
centroid varying vec4 oT2;
centroid varying vec4 oT3;
varying vec4 oT5;
//SAMPLERMASK-7
//SAMPLERTYPES-ffffffd0
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform samplerCube sampler2;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file flashlight_ps20b ps-index 4608 ps-combo 0
	vec4 pd0 = vec4( 0.0, 1.0, -0.40000000596, 0.0 );
	vec4 pd2 = vec4( 2.0, -1.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r0 = textureCube( sampler2, oT2.xyz );
	r1.xyz = -oT5.xyz + pc[14].xyz;
	r1.x = dot( r1.xyz, r1.xyz );
	r1.z = 1.0 / r1.x;
	r1.y = inversesqrt( r1.x );
	r1.x = pd0.y;
	r0.w = 1.0 / r1.y;
	r4.x = dot( pc[13].xyz, r1.xyz );
	r0.w = r0.w + -pc[13].w;
	r1.x = pc[13].w;
	r1.w = r1.x * pd0.z;
	r2.xyz = normalize( oT3.xyz );
	r1.w = 1.0 / r1.w;
	r1.xyz = normalize( r2.xyz );
	r1.w = r0.w * r1.w;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.xyz = pd2.xxx * r0.xyz + pd2.yyy;
	r3.x = dot( r0.xyz, r1.xyz );
	r3.x = clamp( r3.x, 0.0, 1.0 );
	r0.w = 1.0 / oT0.w;
	r3.w = r4.x * r1.w;
	r3.w = clamp( r3.w, 0.0, 1.0 );
	r0.xy = r0.ww * oT0.xy;
	r1 = texture2D( sampler0, r0.xy );
	r0 = texture2D( sampler1, oT1.xy );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -oT0.w >= 0.0 ) ? pd0.x : pd0.y;
	r1 = atomic_temp_var;
	r1.xyz = r1.xyz * r1.www;
	r1.xyz = r1.xyz * pc[28].xyz;
	r2.xyz = -oT5.xyz + pc[11].xyz;
	r2.x = dot( r2.xyz, r2.xyz );
	r1.xyz = r1.xyz * pc[1].xyz;
	r1.w = inversesqrt( r2.x );
	r0.xyz = r0.xyz * r1.xyz;
	r1.w = 1.0 / r1.w;
	r0.xyz = r3.xxx * r0.xyz;
	r2.w = r1.w * pc[12].w + pc[12].x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.xyz = r3.www * r0.xyz;
	r1.w = min( r2.w, pc[12].z );
	r2.w = pc[30].x;
	r1.xyz = r0.xyz * -r2.www + pc[29].xyz;
	r1.w = r1.w * r1.w;
	r1.xyz = r1.xyz * r1.www;
	r0.xyz = r0.xyz * pc[30].xxx + r1.xyz;
	gl_FragData[0] = r0;
}


