//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
centroid varying vec4 oT2;
centroid varying vec4 oT3;
varying vec4 oT5;
//SAMPLERMASK-87
//SAMPLERTYPES-ffff3fd0
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform samplerCube sampler2;
uniform sampler2DShadow sampler7;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file flashlight_ps20b ps-index 4608 ps-combo 3
	vec4 pd0 = vec4( 0.0, 1.0, -0.40000000596, 0.0 );
	vec4 pd3 = vec4( 2.0, -1.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r0.xyz = -oT5.xyz + pc[14].xyz;
	r0.x = dot( r0.xyz, r0.xyz );
	r0.y = inversesqrt( r0.x );
	r0.w = 1.0 / r0.y;
	r0.w = r0.w + -pc[13].w;
	r0.z = 1.0 / r0.x;
	r0.x = pc[13].w;
	r1.w = r0.x * pd0.z;
	r0.x = pd0.y;
	r1.w = 1.0 / r1.w;
	r0.x = dot( pc[13].xyz, r0.xyz );
	r0.w = r0.w * r1.w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r4.w = r0.x * r0.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	r1.w = 1.0 / oT0.w;
	r0.w = pd0.y;
	r0.xyz = r1.www * oT0.xyz;
	r2 = shadow2D( sampler7, r0.xyz );
	r3 = texture2D( sampler0, r0.xy );
	r0 = texture2D( sampler1, oT1.xy );
	r1 = textureCube( sampler2, oT2.xyz );
	r2.w = -r2.x + pd0.y;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( -oT0.w >= 0.0 ) ? pd0.x : pd0.y;
	r1 = atomic_temp_var;
	r2.w = pc[2].y * r2.w + r2.x;
	r3.xyz = r3.xyz * r1.www;
	r1.w = r4.w * ( r2.x - r2.w ) + r2.w;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r2.xyz = r3.xyz * pc[28].xyz;
	r2.xyz = r1.www * r2.xyz;
	r2.xyz = r2.xyz * pc[1].xyz;
	r0.xyz = r0.xyz * r2.xyz;
	r3.xyz = normalize( oT3.xyz );
	r2.xyz = normalize( r3.xyz );
	r1.xyz = pd3.xxx * r1.xyz + pd3.yyy;
	r1.x = dot( r1.xyz, r2.xyz );
	r1.x = clamp( r1.x, 0.0, 1.0 );
	r0.xyz = r0.xyz * r1.xxx;
	r0.xyz = r4.www * r0.xyz;
	r0.xyz = r0.xyz * pc[30].xxx;
	gl_FragData[0] = r0;
}


