//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-50-51-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000005 900f0001
attribute vec4 v2; // 80010005 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-57
//HIGHWATERBONE-3

uniform vec4 vc[57];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
centroid varying vec4 oT7;

void main()
{
	// trans#0 label:vs-file water_vs20 vs-index 24 vs-combo 0
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 vTempPos;
	r2.x = dot( v0.xyzw, vc[4].xyzw );
	r2.y = dot( v0.xyzw, vc[5].xyzw );
	r1.w = dot( v0.xyzw, vc[7].xyzw );
	r0.xy = r2.xy + r1.ww;
	oT2.xy = r0.xy * vc[0].ww;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	r2.z = -r2.y;
	r3.xyz = -r0.xyz + vc[2].xyz;
	r1.xy = r2.xy;
	r4.x = dot( r3.xyz, r3.xyz );
	r2.zw = r2.zx + r1.ww;
	r0.w = inversesqrt( r4.x );
	oT2.zw = r2.zw * vc[0].ww;
	r0.w = 1.0 / r0.w;
	oT1.xyz = r3.xyz;
	r0.w = -r0.w * vc[16].w + vc[16].x;
	gl_FogFragCoord = max( r0.w, vc[16].z );
	oT0.x = dot( v1.xyzw, vc[49].xyzw );
	oT0.y = dot( v1.xyzw, vc[50].xyzw );
	r1.z = dot( v0.xyzw, vc[6].xyzw );
	vTempPos = r1;
	r2.xyz = r0.xyz + -vc[2].xyz;
	oT3 = r1;
	r0.w = dot( vc[56].xyz, r2.xyz );
	oT4 = r0;
	oT7.xy = v2.xy;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


