//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
//SAMPLERMASK-41e
//SAMPLERTYPES-ffcffc03
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler2D sampler10;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file multiblend_ps20b ps-index 0 ps-combo 1
	vec4 pd0 = vec4( -2.0, 3.0, 0.375, 0.0 );
	vec4 pd1 = vec4( 0.5, 0.0, 1.0, 0.125 );
	vec4 pd2 = vec4( 0.300000011921, 0.589999973774, 0.109999999404, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r1 = texture2D( sampler2, oT5.xy );
	r0 = texture2D( sampler1, oT0.xy );
	r2.w = oT4.y * pd1.x + r1.w;
	r4.w = min( r2.w, pd1.z );
	r1.w = oT4.y * -pd1.x + r1.w;
	r2.w = max( r1.w, pd1.y );
	r3.w = r4.w + -r2.w;
	r1.w = -r4.w + r2.w;
	r2.w = -r2.w + gl_SecondaryColor.y;
	r3.w = 1.0 / r3.w;
	r4.w = r2.w * r3.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r2;
	atomic_temp_var.w = ( r2.w >= 0.0 ) ? pd1.z : pd1.y;
	r2 = atomic_temp_var;
	r3.w = r4.w * pd0.x + pd0.y;
	r4.w = r4.w * r4.w;
	r3.w = r3.w * r4.w;
	r1.w = r1.w * r1.w;
	atomic_temp_var = r3;
	atomic_temp_var.w = ( -r1.w >= 0.0 ) ? r2.w : r3.w;
	r3 = atomic_temp_var;
	r1.w = oT4.x * pd1.x + r0.w;
	r4.w = min( r1.w, pd1.z );
	r0.w = oT4.x * -pd1.x + r0.w;
	r1.w = max( r0.w, pd1.y );
	r2.w = r4.w + -r1.w;
	r0.w = -r4.w + r1.w;
	r1.w = -r1.w + gl_SecondaryColor.x;
	r2.w = 1.0 / r2.w;
	r4.w = r1.w * r2.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd1.z : pd1.y;
	r1 = atomic_temp_var;
	r2.w = r4.w * pd0.x + pd0.y;
	r4.w = r4.w * r4.w;
	r2.w = r2.w * r4.w;
	r0.w = r0.w * r0.w;
	atomic_temp_var = r2;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? r1.w : r2.w;
	r2 = atomic_temp_var;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.w = -r2.w + pd1.z;
	r1.w = min( r0.w, r3.w );
	r1.xyz = r1.xyz * r1.www;
	r3.xyz = r0.xyz * r2.www + r1.xyz;
	r1.x = oT5.z;
	r1.y = oT5.w;
	r3.w = r0.w + -r1.w;
	r0.x = oT3.z;
	r0.y = oT3.w;
	r2 = texture2D( sampler3, r1.xy );
	r1 = texture2D( sampler4, r0.xy );
	r0 = texture2D( sampler10, oT3.xy );
	r1.w = oT4.z * pd1.x + r2.w;
	r0.w = min( r1.w, pd1.z );
	r2.w = oT4.z * -pd1.x + r2.w;
	r1.w = max( r2.w, pd1.y );
	r2.w = r0.w + -r1.w;
	r0.w = -r0.w + r1.w;
	r1.w = -r1.w + gl_SecondaryColor.z;
	r2.w = 1.0 / r2.w;
	r4.w = r1.w * r2.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd1.z : pd1.y;
	r1 = atomic_temp_var;
	r2.w = r4.w * pd0.x + pd0.y;
	r4.w = r4.w * r4.w;
	r2.w = r2.w * r4.w;
	r0.w = r0.w * r0.w;
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? r1.w : r2.w;
	r0 = atomic_temp_var;
	r1.w = min( r3.w, r0.w );
	r0.w = r3.w + -r1.w;
	r2.xyz = r2.xyz * r1.www + r3.xyz;
	r1.xyz = r1.xyz * r0.www + r2.xyz;
	r2.xyz = r1.xyz * gl_Color.xyz;
	r4.x = dot( r2.xyz, pd2.xyz );
	r3.xyz = -oT1.xyz + pc[11].xyz;
	r1.w = r4.x * r4.x;
	r3.x = dot( r3.xyz, r3.xyz );
	r2.xyz = r2.xyz * pd1.www;
	r0.w = inversesqrt( r3.x );
	r2.xyz = r1.www * pd0.zzz + r2.xyz;
	r0.w = 1.0 / r0.w;
	r1.xyz = r1.xyz * gl_Color.xyz + -r2.xyz;
	r1.w = r0.w * pc[12].w + pc[12].x;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.xyz = r0.xxx * r1.xyz + r2.xyz;
	r0.w = min( r1.w, pc[12].z );
	r1.w = pc[30].x;
	r1.xyz = r0.xyz * -r1.www + pc[29].xyz;
	r1.w = r0.w * r0.w;
	r1.xyz = r1.xyz * r1.www;
	r0.xyz = r0.xyz * pc[30].xxx + r1.xyz;
	gl_FragData[0] = r0;
}


