//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;
//SAMPLERMASK-63de
//SAMPLERTYPES-c3f00c03
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler2D sampler6;
uniform sampler2D sampler7;
uniform sampler2D sampler8;
uniform sampler2D sampler9;
uniform sampler2D sampler13;
uniform sampler2DShadow sampler14;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file multiblend_ps20b ps-index 8192 ps-combo 6
	vec4 pd0 = vec4( -2.0, 3.0, 0.0, 0.0 );
	vec4 pd1 = vec4( 0.5, 0.0, 1.0, -20000.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	vec4 r6;
	vec4 r7;
	vec4 r8;
	vec4 r9;
	vec4 r10;
	vec4 r11;
	r1 = texture2D( sampler2, oT5.xy );
	r0 = texture2D( sampler1, oT0.xy );
	r2.w = oT4.y * pd1.x + r1.w;
	r4.w = min( r2.w, pd1.z );
	r1.w = oT4.y * -pd1.x + r1.w;
	r2.w = max( r1.w, pd1.y );
	r3.w = r4.w + -r2.w;
	r1.w = -r4.w + r2.w;
	r2.w = -r2.w + gl_SecondaryColor.y;
	r3.w = 1.0 / r3.w;
	r4.w = r2.w * r3.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r2;
	atomic_temp_var.w = ( r2.w >= 0.0 ) ? pd1.z : pd1.y;
	r2 = atomic_temp_var;
	r3.w = r4.w * pd0.x + pd0.y;
	r4.w = r4.w * r4.w;
	r3.w = r3.w * r4.w;
	r1.w = r1.w * r1.w;
	atomic_temp_var = r2;
	atomic_temp_var.w = ( -r1.w >= 0.0 ) ? r2.w : r3.w;
	r2 = atomic_temp_var;
	r1.w = oT4.x * pd1.x + r0.w;
	r4.w = min( r1.w, pd1.z );
	r0.w = oT4.x * -pd1.x + r0.w;
	r1.w = max( r0.w, pd1.y );
	r3.w = r4.w + -r1.w;
	r0.w = -r4.w + r1.w;
	r1.w = -r1.w + gl_SecondaryColor.x;
	r3.w = 1.0 / r3.w;
	r4.w = r1.w * r3.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd1.z : pd1.y;
	r1 = atomic_temp_var;
	r3.w = r4.w * pd0.x + pd0.y;
	r4.w = r4.w * r4.w;
	r3.w = r3.w * r4.w;
	r0.w = r0.w * r0.w;
	atomic_temp_var = r9;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? r1.w : r3.w;
	r9 = atomic_temp_var;
	r9.w = clamp( r9.w, 0.0, 1.0 );
	r1.w = -r9.w + pd1.z;
	r10.w = min( r1.w, r2.w );
	r1.xyz = r1.xyz * r10.www;
	r9.xyz = r0.xyz * r9.www + r1.xyz;
	r0.w = oT1.z + pd1.w;
	r4.x = oT5.z;
	r4.y = oT5.w;
	r2.w = 1.0 / pc[14].z;
	r3.x = oT3.z;
	r3.y = oT3.w;
	r0.w = -r0.w * r2.w;
	r0.xy = pc[14].xy * r0.ww + oT1.xy;
	r0.w = 1.0 / pc[22].w;
	r11.w = r1.w + -r10.w;
	r1.xy = r0.xy * r0.ww + pc[13].xy;
	r2.x = r0.x * r0.w + pc[13].z;
	r2.y = r0.y * r0.w + pc[13].w;
	r0.w = 1.0 / oT2.w;
	r0.xyz = r0.www * oT2.xyz;
	r0.w = pd1.z;
	r8 = texture2D( sampler3, r4.xy );
	r4 = texture2D( sampler8, r4.xy );
	r7 = texture2D( sampler4, r3.xy );
	r3 = texture2D( sampler9, r3.xy );
	r6 = texture2D( sampler7, oT5.xy );
	r5 = texture2D( sampler6, oT0.xy );
	r1 = texture2D( sampler13, r1.xy );
	r2 = texture2D( sampler13, r2.xy );
	r0 = shadow2D( sampler14, r0.xyz );
	r1.w = oT4.z * pd1.x + r8.w;
	r0.w = min( r1.w, pd1.z );
	r2.w = oT4.z * -pd1.x + r8.w;
	r1.w = max( r2.w, pd1.y );
	r2.w = r0.w + -r1.w;
	r0.w = -r0.w + r1.w;
	r1.w = -r1.w + gl_SecondaryColor.z;
	r2.w = 1.0 / r2.w;
	r3.w = r1.w * r2.w;
	r3.w = clamp( r3.w, 0.0, 1.0 );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd1.z : pd1.y;
	r1 = atomic_temp_var;
	r2.w = r3.w * pd0.x + pd0.y;
	r3.w = r3.w * r3.w;
	r2.w = r2.w * r3.w;
	r0.w = r0.w * r0.w;
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? r1.w : r2.w;
	r0 = atomic_temp_var;
	r1.w = min( r11.w, r0.w );
	r0.w = r11.w + -r1.w;
	r8.xyz = r8.xyz * r1.www + r9.xyz;
	r7.xyz = r7.xyz * r0.www + r8.xyz;
	r6.xyz = r6.xxx * pc[23].xyz;
	r6.xyz = r10.www * r6.xyz;
	r5.xyz = r5.xxx * pc[23].xyz;
	r5.xyz = r5.xyz * r9.www + r6.xyz;
	r4.xyz = r4.xxx * pc[23].xyz;
	r4.xyz = r4.xyz * r1.www + r5.xyz;
	r3.xyz = r3.xxx * pc[23].xyz;
	r3.xyz = r3.xyz * r0.www + r4.xyz;
	r2.w = r1.x * r2.y;
	r3.w = r1.x * -r2.y + pd1.z;
	r2.x = dot( pc[14].xyz, oT6.xyz );
	r1.xyz = r3.xyz * oT4.www;
	r0.w = -r2.x;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r1.xyz = r7.xyz * gl_Color.xyz + r1.xyz;
	atomic_temp_var = r4;
	atomic_temp_var.w = ( -oT2.w >= 0.0 ) ? pd1.y : pd1.z;
	r4 = atomic_temp_var;
	r1.w = r0.x * r0.w;
	r2.xyz = r4.www * pc[28].xyz;
	r0.w = r0.x * -r0.w + pd1.z;
	r4.x = dot( pc[22].xyz, oT6.xyz );
	r4.x = clamp( r4.x, 0.0, 1.0 );
	r2.w = r2.w * r1.w;
	r0.xyz = -oT1.xyz + pc[11].xyz;
	r1.w = max( r0.w, r3.w );
	r3.x = dot( r0.xyz, r0.xyz );
	r0.xyz = r4.xxx * pc[20].xyz;
	r0.w = inversesqrt( r3.x );
	r0.xyz = r2.xyz * r2.www + r0.xyz;
	r0.w = 1.0 / r0.w;
	r0.xyz = pc[21].xyz * r1.www + r0.xyz;
	r1.w = r0.w * pc[12].w + pc[12].x;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.xyz = r1.xyz * r0.xyz;
	r0.w = min( r1.w, pc[12].z );
	r1.w = pc[30].x;
	r1.xyz = r0.xyz * -r1.www + pc[29].xyz;
	r1.w = r0.w * r0.w;
	r1.xyz = r1.xyz * r1.www;
	r0.xyz = r0.xyz * pc[30].xxx + r1.xyz;
	gl_FragData[0] = r0;
}


