//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
//SAMPLERMASK-1e
//SAMPLERTYPES-fffffc03
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file multiblend_ps20b ps-index 8192 ps-combo 2050
	vec4 pd0 = vec4( 0.5, 0.0, 1.0, -2.0 );
	vec4 pd1 = vec4( -2.0, 3.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r1 = texture2D( sampler2, oT5.xy );
	r0 = texture2D( sampler1, oT0.xy );
	r2.w = oT4.y * pd0.x + r1.w;
	r4.w = min( r2.w, pd0.z );
	r1.w = oT4.y * -pd0.x + r1.w;
	r2.w = max( r1.w, pd0.y );
	r3.w = r4.w + -r2.w;
	r1.w = -r4.w + r2.w;
	r2.w = -r2.w + gl_SecondaryColor.y;
	r3.w = 1.0 / r3.w;
	r4.w = r2.w * r3.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r2;
	atomic_temp_var.w = ( r2.w >= 0.0 ) ? pd0.z : pd0.y;
	r2 = atomic_temp_var;
	r3.w = r4.w * pd1.x + pd1.y;
	r4.w = r4.w * r4.w;
	r3.w = r3.w * r4.w;
	r1.w = r1.w * r1.w;
	atomic_temp_var = r3;
	atomic_temp_var.w = ( -r1.w >= 0.0 ) ? r2.w : r3.w;
	r3 = atomic_temp_var;
	r1.w = oT4.x * pd0.x + r0.w;
	r4.w = min( r1.w, pd0.z );
	r0.w = oT4.x * -pd0.x + r0.w;
	r1.w = max( r0.w, pd0.y );
	r2.w = r4.w + -r1.w;
	r0.w = -r4.w + r1.w;
	r1.w = -r1.w + gl_SecondaryColor.x;
	r2.w = 1.0 / r2.w;
	r4.w = r1.w * r2.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd0.z : pd0.y;
	r1 = atomic_temp_var;
	r2.w = r4.w * pd1.x + pd1.y;
	r4.w = r4.w * r4.w;
	r2.w = r2.w * r4.w;
	r0.w = r0.w * r0.w;
	atomic_temp_var = r2;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? r1.w : r2.w;
	r2 = atomic_temp_var;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.w = -r2.w + pd0.z;
	r1.w = min( r0.w, r3.w );
	r1.xyz = r1.xyz * r1.www;
	r2.xyz = r0.xyz * r2.www + r1.xyz;
	r1.x = oT5.z;
	r1.y = oT5.w;
	r2.w = r0.w + -r1.w;
	r0.x = oT3.z;
	r0.y = oT3.w;
	r1 = texture2D( sampler3, r1.xy );
	r0 = texture2D( sampler4, r0.xy );
	r3.w = oT4.z * pd0.x + r1.w;
	r0.w = min( r3.w, pd0.z );
	r3.w = oT4.z * -pd0.x + r1.w;
	r1.w = max( r3.w, pd0.y );
	r3.w = r0.w + -r1.w;
	r0.w = -r0.w + r1.w;
	r1.w = -r1.w + gl_SecondaryColor.z;
	r3.w = 1.0 / r3.w;
	r4.w = r1.w * r3.w;
	r4.w = clamp( r4.w, 0.0, 1.0 );
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r1.w >= 0.0 ) ? pd0.z : pd0.y;
	r1 = atomic_temp_var;
	r3.w = r4.w * pd1.x + pd1.y;
	r4.w = r4.w * r4.w;
	r3.w = r3.w * r4.w;
	r0.w = r0.w * r0.w;
	atomic_temp_var = r0;
	atomic_temp_var.w = ( -r0.w >= 0.0 ) ? r1.w : r3.w;
	r0 = atomic_temp_var;
	r1.w = min( r2.w, r0.w );
	r0.w = r2.w + -r1.w;
	r1.xyz = r1.xyz * r1.www + r2.xyz;
	r0.xyz = r0.xyz * r0.www + r1.xyz;
	r0.w = -oT1.z + pc[12].y;
	r0.xyz = r0.xyz * gl_Color.xyz;
	r0.w = r0.w + pd0.w;
	r0.xyz = r0.xyz * pc[30].xxx;
	r0.w = r0.w * pc[12].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	gl_FragData[0] = r0;
}


