//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT1;
varying vec4 oT3;
varying vec4 oT4;
//SAMPLERMASK-2400
//SAMPLERTYPES-f3cfffff
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler10;
uniform sampler2D sampler13;



void main()
{
	// trans#0 label:ps-file global_lit_simple_ps20b ps-index 16896 ps-combo 141
	vec4 pd0 = vec4( -20000.0, 1.0, 0.5, -2.0 );
	vec4 pd1 = vec4( 0.300000011921, 0.589999973774, 0.109999999404, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	r0.w = oT1.z + pd0.x;
	r1.w = 1.0 / pc[14].z;
	r0.w = -r0.w * r1.w;
	r0.xy = pc[14].xy * r0.ww + oT1.xy;
	r0.w = 1.0 / pc[22].w;
	r1.xy = r0.xy * r0.ww + pc[13].xy;
	r0.x = r0.x * r0.w + pc[13].z;
	r0.y = r0.y * r0.w + pc[13].w;
	r1 = texture2D( sampler13, r1.xy );
	r2 = texture2D( sampler13, r0.xy );
	r0 = texture2D( sampler10, oT3.xy );
	r0.w = r1.x * r2.y;
	r2.w = r1.x * -r2.y + pd0.y;
	r1.x = dot( pc[14].xyz, oT4.xyz );
	r1.w = -r1.x;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.w = r0.w * r1.w;
	r1.x = dot( pc[22].xyz, oT4.xyz );
	r1.x = clamp( r1.x, 0.0, 1.0 );
	r1.w = -r1.w + pd0.y;
	r1.xyz = r1.xxx * pc[20].xyz;
	r1.xyz = pc[28].xyz * r0.www + r1.xyz;
	r0.w = max( r1.w, r2.w );
	r1.xyz = pc[21].xyz * r0.www + r1.xyz;
	r2.xyz = r1.xyz * pc[3].xyz;
	r3.x = dot( r2.xyz, pd1.xyz );
	r1.w = pow( r3.x, pc[27].w );
	r3.xyz = r2.xyz * pc[27].zzz;
	r0.w = max( r1.w, pd0.z );
	r2.xyz = r0.www * pc[19].xyz;
	r2.xyz = r2.xyz * pc[27].yyy + r3.xyz;
	r1.xyz = pc[3].xyz * r1.xyz + -r2.xyz;
	r0.w = -oT1.z + pc[12].y;
	r0.xyz = r0.xxx * r1.xyz + r2.xyz;
	r0.w = r0.w + pd0.w;
	r0.xyz = r0.xyz * pc[30].xxx;
	r0.w = r0.w * pc[12].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	gl_FragData[0] = r0;
}


