//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT4;
//SAMPLERMASK-6
//SAMPLERTYPES-ffffffc3
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler1;
uniform sampler2D sampler2;



void main()
{
	// trans#0 label:ps-file global_lit_simple_ps20b ps-index 792576 ps-combo 0
	vec4 r0;
	vec4 r1;
	vec4 r2;
	r0 = texture2D( sampler2, oT0.xy );
	r1.xyz = -oT1.xyz + pc[11].xyz;
	r0.x = dot( r1.xyz, r1.xyz );
	r1.w = inversesqrt( r0.x );
	r1.w = 1.0 / r1.w;
	r1.w = r1.w * pc[12].w + pc[12].x;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r2.w = min( r1.w, pc[12].z );
	r0.xy = r0.zz * pc[25].xy + oT0.xy;
	r1 = texture2D( sampler1, r0.xy );
	r0.xyz = r1.xyz * pc[3].xyz;
	r1.w = r2.w * r2.w;
	r2.x = dot( oT4.xyz, pc[26].xyz );
	r2.w = pc[30].x;
	r1.xyz = r0.xyz * -r2.www + pc[29].xyz;
	r2.w = abs( r2.x );
	r1.xyz = r1.www * r1.xyz;
	r1.w = pow( r2.w, pc[26].w );
	r0.xyz = r0.xyz * pc[30].xxx + r1.xyz;
	r0.w = r0.w * r1.w;
	gl_FragData[0] = r0;
}


