//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT4;
//SAMPLERMASK-2006
//SAMPLERTYPES-f3ffffc3
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler13;



void main()
{
	// trans#0 label:ps-file global_lit_simple_ps20b ps-index 6656 ps-combo 4
	vec4 pd0 = vec4( -20000.0, 1.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r0 = texture2D( sampler2, oT0.xy );
	r1.w = oT1.z + pd0.x;
	r2.w = 1.0 / pc[14].z;
	r1.w = -r1.w * r2.w;
	r0.xy = pc[14].xy * r1.ww + oT1.xy;
	r1.w = 1.0 / pc[22].w;
	r2.xy = r0.xy * r1.ww + pc[13].xy;
	r1.x = r0.x * r1.w + pc[13].z;
	r1.y = r0.y * r1.w + pc[13].w;
	r0.xy = r0.zz * pc[25].xy + oT0.xy;
	r2 = texture2D( sampler13, r2.xy );
	r3 = texture2D( sampler13, r1.xy );
	r1 = texture2D( sampler1, r0.xy );
	r1.w = r2.x * r3.y;
	r4.w = r2.x * -r3.y + pd0.y;
	r0.x = dot( pc[14].xyz, oT4.xyz );
	r2.w = -r0.x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.x = dot( pc[22].xyz, oT4.xyz );
	r0.x = clamp( r0.x, 0.0, 1.0 );
	r1.w = r1.w * r2.w;
	r0.xyz = r0.xxx * pc[20].xyz;
	r3.w = -r2.w + pd0.y;
	r2.xyz = -oT1.xyz + pc[11].xyz;
	r2.w = max( r3.w, r4.w );
	r2.x = dot( r2.xyz, r2.xyz );
	r0.xyz = pc[28].xyz * r1.www + r0.xyz;
	r1.w = inversesqrt( r2.x );
	r2.xyz = pc[21].xyz * r2.www + r0.xyz;
	r1.w = 1.0 / r1.w;
	r0.xyz = r1.xyz * pc[3].xyz;
	r2.w = r1.w * pc[12].w + pc[12].x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.xyz = r2.xyz * r0.xyz;
	r1.w = min( r2.w, pc[12].z );
	r2.w = pc[30].x;
	r1.xyz = r0.xyz * -r2.www + pc[29].xyz;
	r1.w = r1.w * r1.w;
	r1.xyz = r1.xyz * r1.www;
	r0.xyz = r0.xyz * pc[30].xxx + r1.xyz;
	gl_FragData[0] = r0;
}


