//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;
varying vec4 oT7;
varying vec4 oT8;
//SAMPLERMASK-51f
//SAMPLERTYPES-ffcefc00
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler3D sampler8;
uniform sampler2D sampler10;



void main()
{
	vec4 atomic_temp_var;

	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	vec4 oTempT2 = oT2;
	vec4 oTempT3 = oT3;
	vec4 oTempT4 = oT4;
	vec4 oTempT5 = oT5;
	vec4 oTempT6 = oT6;
	vec4 oTempT7 = oT7;
	vec4 oTempT8 = oT8;
	// trans#0 label:ps-file customhero_ps30 ps-index 11520 ps-combo 65
	vec4 pd2 = vec4( 2.0, -1.0, 0.5, 0.454499989748 );
	vec4 pd5 = vec4( 2.200000047684, -0.009999999776, 0.009999999776, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	vec4 r6;
	vec4 r7;
	vec4 r8;
	vec4 r9;
	r0.x = abs( pc[4].w );
	r0.y = pc[29].w * oTempT4.w;
	atomic_temp_var = gl_FragData[0];
	atomic_temp_var.w = ( -r0.x >= 0.0 ) ? -pd2.y : r0.y;
	gl_FragData[0] = atomic_temp_var;
	r0 = texture2D( sampler0, oTempT0.xy );
	r1.x = log2( r0.x );
	r1.y = log2( r0.y );
	r1.z = log2( r0.z );
	r1.xyz = r1.xyz * pd2.www;
	r2.x = exp2( r1.x );
	r2.y = exp2( r1.y );
	r2.z = exp2( r1.z );
	r1 = texture3D( sampler8, r2.xyz );
	r2.xyz = pc[3].xxx * ( r1.xyz - r0.xyz ) + r0.xyz;
	r1 = texture2D( sampler2, oTempT0.zw );
	r1.xyz = r1.xyz * pd2.xxx + pd2.yyy;
	r3.y = pd2.y;
	r1.xyz = pc[3].www * r1.xyz + -r3.yyy;
	r3.xyz = r2.xyz * r1.xyz;
	r4.x = log2( pc[10].x );
	r4.y = log2( pc[10].y );
	r4.z = log2( pc[10].z );
	r4.xyz = r4.xyz * pd5.xxx;
	r5.x = exp2( r4.x );
	r5.y = exp2( r4.y );
	r5.z = exp2( r4.z );
	r4.xyz = r5.xyz * oTempT8.xxx;
	r5 = texture2D( sampler1, oTempT0.xy );
	r5.xyz = r5.xyz * pd2.xxx + pd2.yyy;
	r6.xyz = normalize( r5.xyz );
	r5.xyz = r6.yyy * oTempT6.xyz;
	r5.xyz = r6.xxx * oTempT5.xyz + r5.xyz;
	r5.xyz = r6.zzz * oTempT7.xyz + r5.xyz;
	r6.xyz = normalize( r5.xyz );
	r5.xyz = pc[11].xyz + -oTempT4.xyz;
	r7.xyz = normalize( r5.xyz );
	r0.w = dot( r6.xyz, r7.xyz );
	r0.w = r0.w * pd2.z + pd2.z;
	r5.xyz = r0.www * r4.xyz + oTempT1.xyz;
	r8.xyz = normalize( oTempT2.xyz );
	r9.x = dot( r8.xyz, r6.xyz );
	r0.w = r9.x + r9.x;
	r9.x = r9.x;
	r9.x = clamp( r9.x, 0.0, 1.0 );
	r6.xyw = r6.xyz * -r0.www + r8.xyz;
	r0.w = max( r6.z, pd5.w );
	r1.w = dot( r7.xyz, -r6.xyw );
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r2.w = r1.w + pd5.y;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r2.w >= 0.0 ) ? r1.w : pd5.z;
	r1 = atomic_temp_var;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r6 = texture2D( sampler4, oTempT0.xy );
	r7 = max( r6, pc[27] );
	r2.w = r7.w * pc[1].x;
	r3.w = pow( r1.w, r2.w );
	r4.xyz = r4.xyz * r3.www;
	r4.xyz = r4.xyz * pc[0].www;
	r4.xyz = r7.xxx * r4.xyz;
	r6.xyz = r7.zzz * ( pc[0].xyz - r0.xyz ) + r0.xyz;
	r0.xyz = r7.yyy * oTempT3.xyz;
	r4.xyz = r4.xyz * r6.xyz;
	r9.y = pd2.z;
	r6 = texture2D( sampler10, r9.xy );
	r7 = texture2D( sampler3, oTempT0.xy );
	r6.yw = max( r7.wz, pc[26].wz );
	r1.w = max( r6.z, r6.w );
	r7.xyz = r4.xyz * r1.www;
	r3.xyz = r5.xyz * r3.xyz + r7.xyz;
	r4.xyz = r4.xyz * r1.www + -r3.xyz;
	r3.xyz = r6.www * r4.xyz + r3.xyz;
	r6.y = r6.y;
	r6.y = clamp( r6.y, 0.0, 1.0 );
	r0.xyz = r0.www * r0.xyz;
	r0.xyz = r0.xyz * r6.xxx + r3.xyz;
	r1.xyz = r2.xyz * r1.xyz + -r0.xyz;
	r0.xyz = r6.yyy * r1.xyz + r0.xyz;
	r1.xyz = r0.xyz * pc[30].xxx;
	r2.x = pc[30].x;
	r0.xyz = r0.xyz * -r2.xxx + pc[29].xyz;
	r0.w = oTempT3.w * oTempT3.w;
	gl_FragData[0].xyz = r0.www * r0.xyz + r1.xyz;
}


