//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT5;
varying vec4 oT6;
varying vec4 oT7;
//SAMPLERMASK-2f
//SAMPLERTYPES-fffff300
//FRAGDATAMASK-f
//HIGHWATER-27

uniform vec4 pc[27];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler5;



void main()
{
	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	vec4 oTempT2 = oT2;
	vec4 oTempT3 = oT3;
	vec4 oTempT4 = oT5;
	vec4 oTempT5 = oT6;
	vec4 oTempT6 = oT7;
	// trans#0 label:ps-file customhero_ps30 ps-index 28800 ps-combo 200
	vec4 pd0 = vec4( 0.0, 0.0, 0.0, 0.0 );
	vec4 pd2 = vec4( 2.0, -1.0, 1.0, 0.5 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	r0 = texture2D( sampler1, oTempT0.xy );
	r0.xyz = r0.xyz * pd2.xxx + pd2.yyy;
	r1.xyz = normalize( r0.xyz );
	r0.xyz = r1.yyy * oTempT5.xyz;
	r0.xyz = r1.xxx * oTempT4.xyz + r0.xyz;
	r0.xyz = r1.zzz * oTempT6.xyz + r0.xyz;
	r1.xyz = normalize( r0.xyz );
	gl_FragData[3].xyz = r1.xyz * pd2.www + pd2.www;
	r0.x = oTempT1.w;
	r0.y = oTempT2.w;
	r0 = texture2D( sampler5, r0.xy );
	r1 = texture2D( sampler3, oTempT0.xy );
	r2.xy = max( r1.xw, pc[26].xw );
	r0.w = r2.x * pc[3].z;
	r1.xy = r2.yy * pc[1].ww;
	r2 = texture2D( sampler0, oTempT0.xy );
	r0.xyz = r0.xyz * r0.www + r2.xyz;
	gl_FragData[0].w = r2.w;
	r2 = texture2D( sampler2, oTempT0.zw );
	r1.z = pd2.z;
	r0.w = r1.z + -pc[3].w;
	r2.xyz = r2.xyz + r0.www;
	r2.xyz = clamp( r2.xyz, vec3( 0.0, 0.0, 0.0 ), vec3( 1.0, 1.0, 1.0 ) );
	r3.xyz = r0.xyz * r2.xyz;
	r0.xyz = r0.xyz * -r2.xyz + pc[23].xyz;
	r0.w = r1.y * pc[23].w;
	gl_FragData[1].yz = r1.xy;
	gl_FragData[0].xyz = r0.www * r0.xyz + r3.xyz;
	gl_FragData[1].xw = pd0.xx;
	gl_FragData[2] = oTempT3.wwww;
	gl_FragData[3].w = pd0.x;
}


