//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-A1-50-01-31-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 8001000a 900f0002
attribute vec4 v3; // 80000005 900f0003
attribute vec4 v4; // 80010000 900f0004
attribute vec4 v5; // 80010003 900f0005
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-67
//HIGHWATERBONE-3

uniform vec4 vc[67];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT4;
varying vec4 oT7;
varying vec4 oT6;

void main()
{
	// trans#0 label:vs-file vertexlit_and_unlit_generic_vs30 vs-index 256 vs-combo 1
	vec4 vd1 = vec4( -128.0, -64.0, 0.01587301679, 1.0 );
	vec4 vd2 = vec4( -2.0, 1.0, 2.200000047684, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 vTempPos;
	vec4 oTempT0 = vec4( 0, 0, 0, 0 );
	vec4 oTempT1 = vec4( 0, 0, 0, 0 );
	vec4 oTempT2 = vec4( 0, 0, 0, 0 );
	vec4 oTempT3 = vec4( 0, 0, 0, 0 );
	vec4 oTempT4 = vec4( 0, 0, 0, 0 );
	vec4 oTempT5 = vec4( 0, 0, 0, 0 );
	oTempT1.x = dot( v3.xyzw, vc[48].xyzw );
	oTempT1.y = dot( v3.xyzw, vc[49].xyzw );
	oTempT2.x = dot( v3.xyzw, vc[52].xyzw );
	oTempT2.y = dot( v3.xyzw, vc[53].xyzw );
	r0.x = abs( vc[50].x );
	r0.y = float( -r0.x < r0.x );
	if ( -r0.x < r0.x )
	{
		r0.xz = vd1.xx + v1.xy;
		r1.xy = vec2( lessThan( r0.xz, vc[0].xx ) );
		r0.xz = abs(r0.xz) + -r1.xy;
		r0.xz = r0.xz + vd1.yy;
		r0.w = r1.x * vd2.x + vd2.y;
		r1.xy = vec2( lessThan( r0.xz, vc[0].xx ) );
		r0.xz = abs(r0.xz) + -r1.xy;
		r1.z = r0.x * -vd1.z + vd1.w;
		r2.z = r0.z * -vd1.z + r1.z;
		r1.xy = r1.xy * vd2.xx + vd2.yy;
		r2.xy = r0.xz * vd1.zz;
		r3.xyz = normalize( r2.xyz );
		r1.xy = r1.xy * r3.xy;
		r1.z = r0.w * r3.z;
	}
	else
	{
		r1.xyz = vc[0].xxx;
	}
	r0.xzw = v5.xyz * vc[66].xxx + r1.xyz;
	r1.z = dot( r0.xzw, vcbones[2].xyz );
	r1.x = dot( r0.xzw, vcbones[0].xyz );
	r1.y = dot( r0.xzw, vcbones[1].xyz );
	r0.x = dot( r1.xyz, r1.xyz );
	r0.x = inversesqrt( r0.x );
	oTempT3.xyz = r1.xyz * r0.xxx;
	r1.w = v0.w;
	r2.xyz = v0.xyz;
	r1.xyz = v4.xyz * vc[66].xxx + r2.xyz;
	r2.z = dot( r1.xyzw, vcbones[2].xyzw );
	r0.xzw = v2.xyz + v2.xyz;
	r3.x = log2( r0.x );
	r3.y = log2( r0.z );
	r3.z = log2( r0.w );
	r0.xzw = r3.xyz * vd2.zzz;
	r3.x = exp2( r0.x );
	r3.y = exp2( r0.z );
	r3.z = exp2( r0.w );
	oTempT5.xyz = r0.yyy * r3.xyz;
	r2.x = dot( r1.xyzw, vcbones[0].xyzw );
	r2.y = dot( r1.xyzw, vcbones[1].xyzw );
	oTempT4.xyz = r2.xyz;
	r2.w = vc[0].y;
	oTempT4.w = dot( r2.xyzw, vc[13].xyzw );
	vTempPos.x = dot( r2.xyzw, vc[8].xyzw );
	vTempPos.y = dot( r2.xyzw, vc[9].xyzw );
	vTempPos.z = dot( r2.xyzw, vc[10].xyzw );
	vTempPos.w = dot( r2.xyzw, vc[11].xyzw );
	oTempT5.w = vc[0].x;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
	oT0 = oTempT1;
	oT1 = oTempT2;
	oT4 = oTempT3;
	oT7 = oTempT4;
	oT6 = oTempT5;
}


