//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 80000005 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-55
//HIGHWATERBONE-3

uniform vec4 vc[55];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;
varying vec4 oT7;

void main()
{
	// trans#0 label:vs-file refract_vs20 vs-index 4 vs-combo 1
	vec4 vd1 = vec4( -128.0, -64.0, 0.01587301679, 1.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	vec4 r6;
	vec4 r7;
	vec4 vTempPos;
	r0.w = vc[0].y;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	r4.y = dot( r0.xyzw, vc[9].xyzw );
	r1.y = -r4.y;
	r1.x = dot( r0.xyzw, vc[8].xyzw );
	r4.w = dot( r0.xyzw, vc[11].xyzw );
	r4.z = dot( r0.xyzw, vc[10].xyzw );
	r2.xy = r1.xy + r4.ww;
	vTempPos.x = r1.x;
	r1.xy = r2.xy * vc[0].ww;
	r0.w = 1.0 / r4.w;
	r2.xy = r1.xy * r0.ww;
	r1.xyz = -r0.xyz + vc[2].xyz;
	r2.xy = r2.xy * vc[54].xy + vc[54].zw;
	r3.x = dot( r1.xyz, r1.xyz );
	oT5.xy = r4.ww * r2.xy;
	r0.w = inversesqrt( r3.x );
	oT7.xyz = r0.xyz;
	r2.w = 1.0 / r0.w;
	r5.xyz = r1.xyz * r0.www;
	r1 = v1 + vd1.xxxx;
	r0 = abs( r1 );
	r1 = vec4( lessThan( r1, vc[0].xxxx ) );
	r2.w = -r2.w * vc[16].w + vc[16].x;
	r0 = r0 + -r1;
	r6.xyz = vc[0].zzz * -r1.xzw + vc[0].yyy;
	r0 = r0 + vd1.yyyy;
	r1 = abs( r0 );
	r0 = vec4( lessThan( r0, vc[0].xxxx ) );
	r3 = r1 + -r0;
	r0 = vc[0].zzzz * -r0 + vc[0].yyyy;
	r7.xy = r3.xz * -vd1.zz + vd1.ww;
	r1 = r3 * vd1.zzzz;
	r2.z = r3.w * -vd1.z + r7.y;
	r2.xy = r1.zw;
	r1.z = r3.y * -vd1.z + r7.x;
	r3.xyz = normalize( r2.xyz );
	r3.xy = r0.zw * r3.xy;
	r3.z = r6.y * r3.z;
	r2.x = dot( r3.xyz, vcbones[0].xyz );
	r2.y = dot( r3.xyz, vcbones[1].xyz );
	r7.xyz = normalize( r1.xyz );
	r1.xy = r0.xy * r7.xy;
	r1.z = r6.x * r7.z;
	r2.z = dot( r3.xyz, vcbones[2].xyz );
	r0.x = dot( r1.xyz, vcbones[0].xyz );
	r0.y = dot( r1.xyz, vcbones[1].xyz );
	r0.z = dot( r1.xyz, vcbones[2].xyz );
	gl_FogFragCoord = max( r2.w, vc[16].z );
	r1.xyz = r2.yzx * r0.zxy;
	oT6.xyz = -r5.xyz;
	r1.xyz = r0.yzx * r2.zxy + -r1.xyz;
	oT1.x = dot( r5.xyz, r2.xyz );
	r1.xyz = r6.zzz * r1.xyz;
	oT3.xyz = r2.xyz;
	oT1.y = dot( r5.xyz, r1.xyz );
	oT4.xyz = r1.xyz;
	oT1.z = dot( r5.xyz, r0.xyz );
	oT0.x = dot( v2.xyzw, vc[49].xyzw );
	oT0.y = dot( v2.xyzw, vc[50].xyzw );
	oT0.w = dot( v2.xyzw, vc[51].xyzw );
	oT0.z = dot( v2.xyzw, vc[52].xyzw );
	r1.xyz = normalize( r0.xyz );
	oT2.xyz = r1.xyz;
	vTempPos.yzw = r4.yzw;
	oT7.w = r4.z;
	oT5.z = r4.w;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


