//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT5;
varying vec4 oT7;
//SAMPLERMASK-c
//SAMPLERTYPES-ffffff0f
//FRAGDATAMASK-1
//HIGHWATER-30

uniform vec4 pc[30];

uniform sampler2D sampler2;
uniform sampler2D sampler3;



void main()
{
	// trans#0 label:ps-file refract_ps20b ps-index 8 ps-combo 2
	vec4 pd0 = vec4( 2.0, -1.0, -0.0009765625, 0.001953125 );
	vec4 pd2 = vec4( 0.001953125, -0.0009765625, 0.222222194076, 0.444444388151 );
	vec4 pd3 = vec4( -0.0009765625, 0.001953125, 0.111111097038, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	r0 = texture2D( sampler3, oT0.xy );
	r1.w = 1.0 / oT5.z;
	r1.xy = r1.ww * oT5.xy;
	r0.xy = pd0.xx * r0.xy + pd0.yy;
	r0.w = r0.w * pc[5].x;
	r0.xy = r0.xy * r0.ww + r1.xy;
	r3.xy = r0.xy + pd2.xy;
	r2.xy = r0.xy + pd0.zz;
	r1.xy = r0.xy + pd3.xy;
	r0.xy = r0.xy + pd0.ww;
	r3 = texture2D( sampler2, r3.xy );
	r2 = texture2D( sampler2, r2.xy );
	r1 = texture2D( sampler2, r1.xy );
	r0 = texture2D( sampler2, r0.xy );
	r4.xyz = -oT7.xyz + pc[11].xyz;
	r4.x = dot( r4.xyz, r4.xyz );
	r3.xyz = r3.xyz * pd2.zzz;
	r0.w = inversesqrt( r4.x );
	r2.xyz = r2.xyz * pd2.www + r3.xyz;
	r0.w = 1.0 / r0.w;
	r1.xyz = r1.xyz * pd2.zzz + r2.xyz;
	r1.w = r0.w * pc[12].w + pc[12].x;
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r0.xyz = r0.xyz * pd3.zzz + r1.xyz;
	r0.w = min( r1.w, pc[12].z );
	r1.xyz = pc[1].xyz;
	r1.xyz = r0.xyz * -r1.xyz + pc[29].xyz;
	r0.w = r0.w * r0.w;
	r1.xyz = r1.xyz * r0.www;
	r0.xyz = r0.xyz * pc[1].xyz + r1.xyz;
	r0.w = oT7.w * pc[29].w;
	gl_FragData[0] = r0;
}


