//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT7;
//SAMPLERMASK-1
//SAMPLERTYPES-fffffffc
//FRAGDATAMASK-1
//HIGHWATER-30

uniform vec4 pc[30];

uniform sampler2D sampler0;



void main()
{
	// trans#0 label:ps-file modulate_ps20b ps-index 0 ps-combo 0
	vec4 r0;
	vec4 r1;
	vec4 r2;
	r0 = texture2D( sampler0, oT0.xy );
	r1.xyz = -oT7.xyz + pc[11].xyz;
	r1.x = dot( r1.xyz, r1.xyz );
	r1.w = inversesqrt( r1.x );
	r1.w = 1.0 / r1.w;
	r2.w = r1.w * pc[12].w + pc[12].x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r1.w = min( r2.w, pc[12].z );
	r0 = r0 * gl_Color;
	r0 = clamp( r0, vec4( 0.0, 0.0, 0.0, 0.0 ), vec4( 1.0, 1.0, 1.0, 1.0 ) );
	r1.w = r1.w * r1.w;
	r1.xyz = r0.www * ( r0.xyz - pc[0].xyz ) + pc[0].xyz;
	r0.w = r0.w;
	r0.xyz = r1.www * ( pc[29].xyz - r1.xyz ) + r1.xyz;
	gl_FragData[0] = r0;
}


