//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-50-60-70-A0-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 80000005 900f0002
attribute vec4 v3; // 80000006 900f0003
attribute vec4 v4; // 80000007 900f0004
attribute vec4 v5; // 8000000a 900f0005
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-55
//HIGHWATERBONE-3

uniform vec4 vc[55];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
varying vec4 oT5;
varying vec4 oT6;
varying vec4 oT7;

void main()
{
	// trans#0 label:vs-file refract_vs20 vs-index 8 vs-combo 0
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 vTempPos;
	r0.w = vc[0].y;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	r1.y = dot( r0.xyzw, vc[9].xyzw );
	r2.y = -r1.y;
	r2.x = dot( r0.xyzw, vc[8].xyzw );
	r1.w = dot( r0.xyzw, vc[11].xyzw );
	r1.z = dot( r0.xyzw, vc[10].xyzw );
	r3.xy = r2.xy + r1.ww;
	vTempPos.x = r2.x;
	r3.xy = r3.xy * vc[0].ww;
	r0.w = 1.0 / r1.w;
	r2.xyz = -r0.xyz + vc[2].xyz;
	r3.xy = r3.xy * r0.ww;
	r1.x = dot( r2.xyz, r2.xyz );
	r3.xy = r3.xy * vc[54].xy + vc[54].zw;
	r2.w = inversesqrt( r1.x );
	oT5.xy = r1.ww * r3.xy;
	r0.w = 1.0 / r2.w;
	oT7.xyz = r0.xyz;
	r0.w = -r0.w * vc[16].w + vc[16].x;
	r2.xyz = r2.xyz * r2.www;
	gl_FogFragCoord = max( r0.w, vc[16].z );
	oT6.xyz = -r2.xyz;
	r3.x = dot( v3.xyz, vcbones[0].xyz );
	r3.y = dot( v3.xyz, vcbones[1].xyz );
	r3.z = dot( v3.xyz, vcbones[2].xyz );
	oT1.x = dot( r2.xyz, r3.xyz );
	r0.x = dot( v4.xyz, vcbones[0].xyz );
	r0.y = dot( v4.xyz, vcbones[1].xyz );
	r0.z = dot( v4.xyz, vcbones[2].xyz );
	oT3.xyz = r3.xyz;
	oT1.y = dot( r2.xyz, r0.xyz );
	oT4.xyz = r0.xyz;
	r0.x = dot( v1.xyz, vcbones[0].xyz );
	r0.y = dot( v1.xyz, vcbones[1].xyz );
	r0.z = dot( v1.xyz, vcbones[2].xyz );
	oT1.z = dot( r2.xyz, r0.xyz );
	oT0.x = dot( v2.xyzw, vc[49].xyzw );
	oT0.y = dot( v2.xyzw, vc[50].xyzw );
	oT0.w = dot( v2.xyzw, vc[51].xyzw );
	oT0.z = dot( v2.xyzw, vc[52].xyzw );
	r2.xyz = normalize( r0.xyz );
	oT2.xyz = r2.xyz;
	vTempPos.yzw = r1.yzw;
	oT7.w = r1.z;
	oT5.z = r1.w;
	gl_FrontColor = v5;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


