//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT5;
varying vec4 oT7;
//SAMPLERMASK-c
//SAMPLERTYPES-ffffff0f
//FRAGDATAMASK-1
//HIGHWATER-30

uniform vec4 pc[30];

uniform sampler2D sampler2;
uniform sampler2D sampler3;



void main()
{
	// trans#0 label:ps-file refract_ps20b ps-index 256 ps-combo 0
	vec4 pd0 = vec4( 2.0, -1.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	r1 = texture2D( sampler3, oT0.xy );
	r0.xyz = -oT7.xyz + pc[11].xyz;
	r0.x = dot( r0.xyz, r0.xyz );
	r0.w = inversesqrt( r0.x );
	r0.w = 1.0 / r0.w;
	r3.w = r0.w * pc[12].w + pc[12].x;
	r3.w = clamp( r3.w, 0.0, 1.0 );
	r0.w = 1.0 / oT5.z;
	r2.xy = r0.ww * oT5.xy;
	r0.w = r1.w * pc[5].x;
	r0.w = r0.w * gl_Color.w;
	r0.xy = pd0.xx * r1.xy + pd0.yy;
	r2.w = min( r3.w, pc[12].z );
	r0.xy = r0.xy * r0.ww + r2.xy;
	r0 = texture2D( sampler2, r0.xy );
	r1.xyz = gl_Color.xyz * pc[1].xyz;
	r0.w = r2.w * r2.w;
	r2.xyz = r0.xyz * -r1.xyz + pc[29].xyz;
	r2.xyz = r0.www * r2.xyz;
	r0.w = r1.w * gl_Color.w;
	r0.xyz = r0.xyz * r1.xyz + r2.xyz;
	gl_FragData[0] = r0;
}


