//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
//SAMPLERMASK-17
//SAMPLERTYPES-fffffcc0
//FRAGDATAMASK-1
//HIGHWATER-28

uniform vec4 pc[28];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler4;



void main()
{
	vec4 atomic_temp_var;

	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	// trans#0 label:ps-file deferred_simple_light_ps30 ps-index 32 ps-combo 10
	vec4 pd0 = vec4( -0.5, 0.5, 1.0, -1.0 );
	vec4 pd1 = vec4( -2.0, 3.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	r0 = texture2D( sampler0, oTempT0.xy );
	r0.xyz = oTempT1.xyz * r0.xxx + pc[27].xyz;
	r0.xyz = -r0.xyz + pc[14].xyz;
	r0.w = dot( r0.xyz, r0.xyz );
	r0.w = inversesqrt( r0.w );
	r0.xyz = r0.xyz * r0.www;
	r0.w = 1.0 / r0.w;
	r1.xy = r0.xy * pd0.yy + pd0.yy;
	r1 = texture2D( sampler4, r1.xy );
	r1.w = r1.w + -pc[18].y;
	r2.xy = -abs(r1.ww) + pd0.yz;
	atomic_temp_var = r1;
	atomic_temp_var.w = ( r2.x >= 0.0 ) ? abs(r1.w) : r2.y;
	r1 = atomic_temp_var;
	r2.x = 1.0 / pc[18].z;
	r1.w = r1.w * r2.x;
	r2.w = pd0.w;
	r2.x = r2.w + pc[18].w;
	r1.w = r1.w * r2.x + pd0.z;
	r1.xyz = r1.xyz * r1.www;
	r2 = texture2D( sampler2, oTempT0.xy );
	r1.xyz = r1.xyz * r2.xyz;
	r1.xyz = r1.xyz * pc[15].xyz;
	r2 = -r0.wwww + pc[14].wwww;
	r0.w = 1.0 / pc[14].w;
	r0.w = r2.w * r0.w;
	r1.w = 1.0 / pc[16].z;
	r0.w = r0.w * r1.w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r1.w = r0.w * pd1.x + pd1.y;
	r0.w = r0.w * r0.w;
	r0.w = r1.w * r0.w;
	r1.xyz = r1.xyz * r0.www;
	r3 = texture2D( sampler1, oTempT0.xy );
	r3.xyz = r3.xyz + pd0.xxx;
	r3.xyz = r3.xyz + r3.xyz;
	r0.x = dot( r3.xyz, r0.xyz );
	r0.yzw = r1.xyz * r0.xxx;
	r1 = r0.xxxx;
	gl_FragData[0].xyz = r0.yzw * pc[16].xxx;
	if ( r2.x < 0.0 || r2.y < 0.0 || r2.z < 0.0 )
{
	discard;
}
	if ( r1.x < 0.0 || r1.y < 0.0 || r1.z < 0.0 )
{
	discard;
}
	gl_FragData[0].w = pd0.z;
}


