//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
//SAMPLERMASK-4d9
//SAMPLERTYPES-ffcf0c3c
//FRAGDATAMASK-1
//HIGHWATER-30

uniform vec4 pc[30];

uniform sampler2D sampler0;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler2D sampler6;
uniform sampler2D sampler7;
uniform sampler2D sampler10;



void main()
{
	vec4 atomic_temp_var;

	vec4 oTempT0 = oT0;
	vec4 oTempT1 = oT1;
	// trans#0 label:ps-file deferred_post_process_ps30 ps-index 96 ps-combo 95
	vec4 pd0 = vec4( 1.0, 0.298900008202, 0.587000012398, 0.11400000006 );
	vec4 pd1 = vec4( -0.009999999776, 0.009999999776, -0.0009765625, 0.0009765625 );
	vec4 pd2 = vec4( 0.25, 1.0, 0.5, -2.0 );
	vec4 pd3 = vec4( 0.300000011921, 0.589999973774, 0.109999999404, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	r0.x = 1.0 / pc[24].x;
	r1 = texture2D( sampler0, oTempT0.xy );
	r0.yzw = oTempT1.xyz * r1.xxx + pc[15].xyz;
	r1.xy = r0.yz * r0.xx + pc[23].xy;
	r1.zw = r0.yz * r0.xx + pc[23].zw;
	r2 = texture2D( sampler7, r1.xy );
	r0.x = dot( r2.xyz, pd0.yzw );
	r0.x = r0.x * pc[24].z;
	r1 = texture2D( sampler7, r1.zw );
	r1.x = r1.w * pc[24].w;
	r1.y = 1.0 / pc[25].w;
	r0.yz = r0.yz + -pc[18].xy;
	r1.z = 1.0 / pc[18].z;
	r2.x = r0.y * r1.z;
	r1.w = 1.0 / pc[18].w;
	r2.y = r0.z * -r1.w + pd0.x;
	r2 = texture2D( sampler6, r2.xy );
	r3.y = pc[24].y;
	r2.w = r2.w * pc[25].x + r3.y;
	r2.w = r0.w + -r2.w;
	r0.w = -r0.w + pc[14].y;
	r3.x = r1.y * r2.w;
	r1.y = r2.w * r1.y + pd1.x;
	atomic_temp_var = r1;
	atomic_temp_var.y = ( r1.y >= 0.0 ) ? r3.x : pd1.y;
	r1 = atomic_temp_var;
	r2.w = min( r1.y, pd0.x );
	r1.y = pow( r2.w, pc[25].y );
	r0.x = r0.x * r1.x + r1.y;
	r0.x = clamp( r0.x, 0.0, 1.0 );
	r3 = texture2D( sampler4, oTempT0.xy );
	r4 = texture2D( sampler3, oTempT0.xy );
	r3.xyz = r3.xyz + r4.xyz;
	r3.xyz = r2.xyz * -pc[26].xyz + r3.xyz;
	r2.xyz = r2.xyz * pc[26].xyz;
	r2.xyz = r0.xxx * r3.xyz + r2.xyz;
	r0.x = dot( r2.xyz, pd3.xyz );
	r1.x = pow( r0.x, pc[22].w );
	r0.x = max( r1.x, pd2.z );
	r3.xyz = r0.xxx * pc[19].xyz;
	r4.xyz = r2.xyz * pc[22].zzz;
	r3.xyz = r3.xyz * pc[22].yyy + r4.xyz;
	r1.xy = r0.yz * r1.zw + pd1.zz;
	r4 = texture2D( sampler10, r1.xy );
	r1.xy = r0.yz * r1.zw + pd1.wz;
	r5 = texture2D( sampler10, r1.xy );
	r0.x = r4.x + r5.x;
	r1.xy = r0.yz * r1.zw + pd1.ww;
	r0.yz = r0.yz * r1.zw + pd1.zw;
	r1 = texture2D( sampler10, r1.xy );
	r0.x = r0.x + r1.x;
	r1 = texture2D( sampler10, r0.yz );
	r0.x = r0.x + r1.x;
	r0.x = r0.x * -pd2.x + pd2.y;
	r1.xyz = r0.xxx * ( r3.xyz - r2.xyz ) + r2.xyz;
	r0.xyz = -r1.xyz + pc[29].xyz;
	r0.w = r0.w + pd2.w;
	r0.w = r0.w * pc[14].w;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r1.w = r0.w * r0.w;
	gl_FragData[0].w = r0.w;
	gl_FragData[0].xyz = r1.www * r0.xyz + r1.xyz;
}


