//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000005 900f0001
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-57
//HIGHWATERBONE-3

uniform vec4 vc[57];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT3;
varying vec4 oT4;

void main()
{
	// trans#0 label:vs-file watercheap_vs20 vs-index 1 vs-combo 0
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 vTempPos;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	oT1.xyz = -r0.xyz + vc[2].xyz;
	oT0.x = dot( v1.xyzw, vc[49].xyzw );
	oT0.y = dot( v1.xyzw, vc[50].xyzw );
	r1.x = dot( v0.xyzw, vc[4].xyzw );
	r1.y = dot( v0.xyzw, vc[5].xyzw );
	r1.z = dot( v0.xyzw, vc[6].xyzw );
	r1.w = dot( v0.xyzw, vc[7].xyzw );
	r2.xyz = r0.xyz + -vc[2].xyz;
	vTempPos = r1;
	r0.w = dot( vc[56].xyz, r2.xyz );
	oT3 = r1;
	oT4 = r0;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


