//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
centroid varying vec4 oT2;
varying vec4 oT4;
//SAMPLERMASK-3
//SAMPLERTYPES-fffffff0
//FRAGDATAMASK-1
//HIGHWATER-32

uniform vec4 pc[32];

uniform sampler2D sampler0;
uniform sampler2D sampler1;



void main()
{
	// trans#0 label:ps-file lightmappedgeneric_ps20b ps-index 512 ps-combo 1
	vec4 r0;
	vec4 r1;
	vec4 r2;
	r1 = texture2D( sampler1, oT2.xy );
	r0 = texture2D( sampler0, oT0.xy );
	r2.xyz = -oT4.xyz + pc[10].xyz;
	r2.x = dot( r2.xyz, r2.xyz );
	r1.w = inversesqrt( r2.x );
	r1.w = 1.0 / r1.w;
	r2.xyz = pc[12].xyz;
	r1.xyz = r1.xyz * r2.xyz + pc[31].xyz;
	r2.w = r1.w * pc[11].w + pc[11].x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	r0.xyz = r0.xyz * gl_Color.xyz;
	r1.w = min( r2.w, pc[11].z );
	r0.xyz = r1.xyz * r0.xyz;
	r1.w = r1.w * r1.w;
	r2.w = pc[30].x;
	r1.xyz = r0.xyz * -r2.www + pc[29].xyz;
	r1.xyz = r1.www * r1.xyz;
	r0.w = r0.w * gl_Color.w;
	r0.xyz = r0.xyz * pc[30].xxx + r1.xyz;
	gl_FragData[0] = r0;
}


