//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;
centroid varying vec4 oT7;
//SAMPLERMASK-3f
//SAMPLERTYPES-fffff000
//FRAGDATAMASK-f
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler0;
uniform sampler2D sampler1;
uniform sampler2D sampler2;
uniform sampler2D sampler3;
uniform sampler2D sampler4;
uniform sampler2D sampler5;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file water_ps20b ps-index 14208 ps-combo 20
	vec4 pd0 = vec4( 0.31099998951, 0.5, 0.10000000149, -0.050000000745 );
	vec4 pd2 = vec4( 1.0, -1.0, 2.0, 0.5 );
	vec4 pd3 = vec4( 3.5, 20.0, 0.0, 0.0 );
	vec4 pd7 = vec4( 0.5, 0.5, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	r0.xy = oT4.xy * pd2.xy;
	r1.xy = r0.xy * pc[14].zz;
	r0.xy = r0.xy * pc[13].yy;
	r2.xy = oT0.xy * pc[13].xx;
	r1 = texture2D( sampler5, r1.xy );
	r2 = texture2D( sampler4, r2.xy );
	r0.w = pc[13].w;
	r0.z = pc[11].w * r0.w + r1.y;
	r0.w = pc[14].x + pc[14].x;
	r0.w = 1.0 / r0.w;
	r1.x = r0.z * r0.w + pd2.w;
	r0.z = r0.z * r0.w;
	r0.w = fract( r1.x );
	r1.x = r1.x + -r0.w;
	r1.x = r1.x * pd0.x + pd0.y;
	r1.xy = pc[9].xx * r1.xx + r0.xy;
	r2.xy = r2.xy * pd2.zz + pd2.yy;
	r3.xy = r2.xy * pc[14].yy;
	r1.z = dot( r2.xy, r2.xy ) + pd0.z;
	r1.xy = r0.ww * r3.xy + r1.xy;
	r0.w = fract( r0.z );
	r1.w = r0.z + -r0.w;
	r1.w = r1.w * pc[9].x;
	r0.xy = r1.ww * pd0.xx + r0.xy;
	r0.xy = r0.ww * r3.xy + r0.xy;
	r1.w = 1.0 / oT3.w;
	r2.xy = r1.ww * oT2.wz;
	r3 = texture2D( sampler2, r1.xy );
	r4 = texture2D( sampler2, r0.xy );
	r2 = texture2D( sampler0, r2.xy );
	r0.x = r0.w * pd2.z + pd2.y;
	r0.x = abs( r0.x );
	r1.xy = r0.xx * ( r3.xy - r4.xy ) + r4.xy;
	r0.xy = r1.xy * pd2.zz + pd2.yy;
	r0.z = r1.z * pc[13].z;
	r0.xy = r0.xy * r0.zz;
	r0.w = dot( r0.xy, -r0.xy ) + pd2.x;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r0.w = inversesqrt( r0.w );
	r0.z = 1.0 / r0.w;
	r3.xw = vec2( dot( pc[17].xyz, r0.xyz ) );
	r3.yz = vec2( dot( pc[23].xyz, r0.xyz ) );
	r1 = r1.wwww * oT2;
	r4 = r2.wwww * pc[5];
	r1 = r3 * r4 + r1;
	r3.xy = r1.wz;
	r1 = texture2D( sampler1, r1.xy );
	r3 = texture2D( sampler0, r3.xy );
	r4 = texture2D( sampler3, oT7.xy );
	r0.w = r3.w + pd0.w;
	atomic_temp_var = r5;
	atomic_temp_var.x = ( r0.w >= 0.0 ) ? r3.w : r2.w;
	atomic_temp_var.z = ( r0.w >= 0.0 ) ? r3.y : r2.y;
	r5 = atomic_temp_var;
	atomic_temp_var = r5;
	atomic_temp_var.w = ( r0.w >= 0.0 ) ? r3.z : r2.z;
	r5 = atomic_temp_var;
	atomic_temp_var = r5;
	atomic_temp_var.y = ( r0.w >= 0.0 ) ? r3.x : r2.x;
	r5 = atomic_temp_var;
	r0.w = r5.x * pd3.x;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r2.xy = r5.yz * pc[1].xy + -r5.yz;
	r2.z = r5.w * pc[1].z + -r5.w;
	r3.xy = r0.ww * r2.xy + r5.yz;
	r3.z = r0.w * r2.z + r5.w;
	r2.xyz = r4.xyz * pc[30].yyy;
	r2.xyz = r2.xyz * pc[30].xxx;
	r2.xyz = pc[6].xyz * r2.xyz + -r3.xyz;
	r2.xyz = r5.xxx * r2.xyz + r3.xyz;
	r1.xyz = r1.xyz * pc[4].xyz;
	r0.w = r5.x + r5.x;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r1.w = r5.x + pd0.w;
	r1.xyz = r1.xyz * r0.www;
	r0.w = r1.w * pd3.y;
	r0.w = clamp( r0.w, 0.0, 1.0 );
	r0.w = r0.w * pc[17].w;
	r1.xyz = r0.www * r1.xyz + r2.xyz;
	r2.xyz = normalize( oT1.xyz );
	r0.w = dot( r2.xyz, r0.xyz );
	r0.w = r0.w + r0.w;
	r0.xyz = r0.xyz * -r0.www + r2.xyz;
	r1.w = dot( pc[19].xyz, r0.xyz );
	r1.w = clamp( r1.w, 0.0, 1.0 );
	r1.w = log2( r1.w );
	r1.w = r1.w * pc[20].x;
	r0.x = exp2( r1.w );
	r1.w = r1.w * pc[21].w;
	r0.xyz = pc[21].xyz * r0.xxx + r1.xyz;
	r0.xyz = clamp( r0.xyz, vec3( 0.0, 0.0, 0.0 ), vec3( 1.0, 1.0, 1.0 ) );
	r0.w = pd3.z;
	gl_FragData[0] = r0;
	r0.z = exp2( r1.w );
	r0.xw = pd3.zz;
	r0.y = pc[19].w;
	gl_FragData[1] = r0;
	r0 = oT4.wwww;
	gl_FragData[2] = r0;
	r0.xy = pd7.xy;
	r0.w = pd7.z;
	r0.z = pd2.x;
	gl_FragData[3] = r0;
}


