//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 80000005 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-31
//HIGHWATERBONE-3

uniform vec4 vc[31];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT4;

void main()
{
	// trans#0 label:vs-file global_lit_simple_vs20 vs-index 640 vs-combo 41
	vec4 vd1 = vec4( -128.0, -64.0, 0.01587301679, 1.0 );
	vec4 vd3 = vec4( -2.0, 1.0, 0.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 vTempPos;
	r1.xy = v1.xy + vd1.xx;
	r0.xy = abs( r1.xy );
	r2.xy = vec2( lessThan( r1.xy, vc[0].xx ) );
	r0.xy = r0.xy + -r2.xy;
	r0.xy = r0.xy + vd1.yy;
	r1.xy = abs( r0.xy );
	r0.xy = vec2( lessThan( r0.xy, vc[0].xx ) );
	r1.xy = r1.xy + -r0.xy;
	r0.w = r2.x * vd3.x + vd3.y;
	r1.w = r1.x * -vd1.z + vd1.w;
	r1.z = r1.y * -vd1.z + r1.w;
	r1.xy = r1.xy * vd1.zz;
	r2.xy = r0.xy * vd3.xx + vd3.yy;
	r0.xyz = normalize( r1.xyz );
	r1.xy = r2.xy * r0.xy;
	r1.z = r0.w * r0.z;
	oT4.x = dot( r1.xyz, vcbones[0].xyz );
	oT4.y = dot( r1.xyz, vcbones[1].xyz );
	r0.w = vc[0].y;
	r0.x = dot( v0.xyzw, vcbones[0].xyzw );
	r0.y = dot( v0.xyzw, vcbones[1].xyzw );
	r0.z = dot( v0.xyzw, vcbones[2].xyzw );
	oT4.z = dot( r1.xyz, vcbones[2].xyz );
	vTempPos.x = dot( r0.xyzw, vc[8].xyzw );
	vTempPos.y = dot( r0.xyzw, vc[9].xyzw );
	vTempPos.z = dot( r0.xyzw, vc[10].xyzw );
	vTempPos.w = dot( r0.xyzw, vc[11].xyzw );
	r1.xyz = r0.xyz + -vc[2].xyz;
	oT1.xyz = r0.xyz;
	oT1.w = dot( vc[30].xyz, r1.xyz );
	oT0 = v2.xyxx * vc[0].yyxx;
	oT4.w = vc[0].x;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


