//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 80000005 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-52
//HIGHWATERBONE-3

uniform vec4 vc[52];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT3;
varying vec4 oT4;

void main()
{
	// trans#0 label:vs-file global_lit_simple_vs20 vs-index 640 vs-combo 52
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 vTempPos;
	oT4.x = dot( v1.xyz, vcbones[0].xyz );
	oT4.y = dot( v1.xyz, vcbones[1].xyz );
	oT4.z = dot( v1.xyz, vcbones[2].xyz );
	r1.w = vc[0].y;
	r1.z = dot( v0.xyzw, vcbones[2].xyzw );
	r1.x = dot( v0.xyzw, vcbones[0].xyzw );
	r1.y = dot( v0.xyzw, vcbones[1].xyzw );
	r2.x = 1.0 / vc[26].z;
	r2.y = 1.0 / vc[26].w;
	r0.xy = r1.xy + -vc[26].xy;
	oT1.w = dot( r1.xyzw, vc[13].xyzw );
	oT3.xy = r2.xy * r0.xy;
	oT2.x = dot( r1.xyzw, vc[48].xyzw );
	oT2.y = dot( r1.xyzw, vc[49].xyzw );
	oT2.z = dot( r1.xyzw, vc[50].xyzw );
	r0.w = dot( r1.xyzw, vc[11].xyzw );
	oT2.w = dot( r1.xyzw, vc[51].xyzw );
	r2.w = 1.0 / r0.w;
	r0.x = dot( r1.xyzw, vc[8].xyzw );
	r0.y = dot( r1.xyzw, vc[9].xyzw );
	r0.z = dot( r1.xyzw, vc[10].xyzw );
	oT1.xyz = r1.xyz;
	oT0.zw = r2.ww * r0.xy;
	vTempPos = r0;
	oT0.xy = v2.xy;
	oT4.w = vc[0].x;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


