//GLSLvp
#version 120
#extension GL_ARB_shader_texture_lod : require
//ATTRIBMAP-00-30-50-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx-xx
attribute vec4 v0; // 80000000 900f0000
attribute vec4 v1; // 80000003 900f0001
attribute vec4 v2; // 80000005 900f0002
//SAMPLERMASK-0
//SAMPLERTYPES-ffffffff
//FRAGDATAMASK-0
//HIGHWATER-52
//HIGHWATERBONE-3

uniform vec4 vc[52];

uniform vec4 vcbones[3];

uniform vec4 vcscreen;

varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT4;

void main()
{
	// trans#0 label:vs-file global_lit_simple_vs20 vs-index 896 vs-combo 48
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 vTempPos;
	r1.w = vc[0].y;
	r1.x = dot( v0.xyzw, vcbones[0].xyzw );
	r1.y = dot( v0.xyzw, vcbones[1].xyzw );
	r1.z = dot( v0.xyzw, vcbones[2].xyzw );
	oT1.w = dot( r1.xyzw, vc[13].xyzw );
	oT2.x = dot( r1.xyzw, vc[48].xyzw );
	oT2.y = dot( r1.xyzw, vc[49].xyzw );
	oT2.z = dot( r1.xyzw, vc[50].xyzw );
	oT2.w = dot( r1.xyzw, vc[51].xyzw );
	r2.w = dot( r1.xyzw, vc[11].xyzw );
	r3.w = 1.0 / r2.w;
	r0.x = dot( v1.xyz, vcbones[0].xyz );
	r0.y = dot( v1.xyz, vcbones[1].xyz );
	r0.z = dot( v1.xyz, vcbones[2].xyz );
	r2.x = dot( r1.xyzw, vc[8].xyzw );
	r3.x = dot( vc[29].xyz, r0.xyz );
	r4.xyz = -r1.xyz + vc[2].xyz;
	r0.w = r3.x + r3.x;
	r3.xyz = normalize( r4.xyz );
	r4.xyz = r0.xyz * -r0.www + vc[29].xyz;
	r2.y = dot( r1.xyzw, vc[9].xyzw );
	r3.x = dot( r3.xyz, r4.xyz );
	r2.z = dot( r1.xyzw, vc[10].xyzw );
	r0.w = max( r3.x, vc[0].x );
	oT0.zw = r3.ww * r2.xy;
	r1.w = min( r0.w, vc[0].y );
	vTempPos = r2;
	r0.w = pow( r1.w, vc[29].w );
	oT0.xy = v2.xy;
	r0.w = min( r0.w, vc[0].y );
	oT1.xyz = r1.xyz;
	oT4 = r0;
	gl_ClipVertex = vTempPos;
	vTempPos.z = vTempPos.z * vc[0].z - vTempPos.w; // z' = (2*z)-w
	vTempPos.y = -vTempPos.y; // y' = -y 
	vTempPos.xy += vcscreen.xy * vTempPos.w;
	gl_Position = vTempPos;
}


