//GLSLfp
#version 120
#extension GL_ARB_shader_texture_lod : require
varying vec4 oT0;
varying vec4 oT1;
varying vec4 oT2;
varying vec4 oT4;
//SAMPLERMASK-6002
//SAMPLERTYPES-c3fffff3
//FRAGDATAMASK-1
//HIGHWATER-31

uniform vec4 pc[31];

uniform sampler2D sampler1;
uniform sampler2D sampler13;
uniform sampler2DShadow sampler14;



void main()
{
	vec4 atomic_temp_var;

	// trans#0 label:ps-file global_lit_simple_ps20b ps-index 512 ps-combo 71
	vec4 pd0 = vec4( -20000.0, 0.0, 1.0, 0.0 );
	vec4 r0;
	vec4 r1;
	vec4 r2;
	vec4 r3;
	vec4 r4;
	vec4 r5;
	r0.w = oT1.z + pd0.x;
	r1.w = 1.0 / pc[14].z;
	r0.w = -r0.w * r1.w;
	r0.xy = pc[14].xy * r0.ww + oT1.xy;
	r0.w = 1.0 / pc[22].w;
	r2.xy = r0.xy * r0.ww + pc[13].xy;
	r1.x = r0.x * r0.w + pc[13].z;
	r1.y = r0.y * r0.w + pc[13].w;
	r0.w = 1.0 / oT2.w;
	r0.xyz = r0.www * oT2.xyz;
	r0.w = pd0.z;
	r2 = texture2D( sampler13, r2.xy );
	r3 = texture2D( sampler13, r1.xy );
	r1 = shadow2D( sampler14, r0.xyz );
	r0 = texture2D( sampler1, oT0.xy );
	r4.w = r2.x * r3.y;
	r3.w = r2.x * -r3.y + pd0.z;
	r2.x = dot( pc[14].xyz, oT4.xyz );
	r2.w = -r2.x;
	r2.w = clamp( r2.w, 0.0, 1.0 );
	atomic_temp_var = r5;
	atomic_temp_var.w = ( -oT2.w >= 0.0 ) ? pd0.y : pd0.z;
	r5 = atomic_temp_var;
	r1.w = r1.x * r2.w;
	r2.xyz = r5.www * pc[28].xyz;
	r2.w = r1.x * -r2.w + pd0.z;
	r1.x = dot( pc[22].xyz, oT4.xyz );
	r1.x = clamp( r1.x, 0.0, 1.0 );
	r1.w = r4.w * r1.w;
	r1.xyz = r1.xxx * pc[20].xyz;
	r1.xyz = r2.xyz * r1.www + r1.xyz;
	r1.w = max( r2.w, r3.w );
	r1.xyz = pc[21].xyz * r1.www + r1.xyz;
	r0 = r0 * pc[3];
	r0.xyz = r1.xyz * r0.xyz;
	r0.xyz = r0.xyz * pc[30].xxx;
	gl_FragData[0] = r0;
}


